<?php

namespace App\Models;

use App\Traits\CreateUpdateDelete;
use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class CommissionImport extends Model
{
    use HasFactory;
    use SoftDeletes;
    use CreateUpdateDelete;

    protected function periodFileImport(): Attribute
    {
        return Attribute::make(
            get: fn ($value) => json_decode($value),
            set: fn ($value) => json_encode($value),
        );
    }

    public function period() {
        return $this->belongsTo(Period::class,'period_id','id');
    }

    public function affiliate() {
        return $this->belongsTo(Affiliate::class,'affiliate_id','id');
    }

    public function createdBy()
    {
        return $this->belongsTo(User::class, 'created_by', 'id');
    }

    public function updatedBy()
    {
        return $this->belongsTo(User::class, 'updated_by', 'id');
    }
}
