<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CommissionPaid extends Model
{
    use HasFactory;

    public function paidBy() {
        return $this->belongsTo(User::class,'paid_by','id');
    }

    public function employee() {
        return $this->belongsTo(Employee::class,'employee_id','id');
    }

    public function adjustments() {
        return $this->hasMany(AdjustmentPaid::class,'commission_paid_id','id');
    }

    public function additionAdjustments() {
        return $this->hasMany(AdjustmentPaid::class,'commission_paid_id','id')
            ->where('calculation_type', 2);
    }

    public function deductionAdjustments() {
        return $this->hasMany(AdjustmentPaid::class,'commission_paid_id','id')
            ->where('calculation_type', 1);
    }
}
