<?php

namespace App\Models;

use App\Traits\CreateUpdateDelete;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class DepositEmployee extends Model
{
    use HasFactory;
    use SoftDeletes;
    use CreateUpdateDelete;

    public function importInfo() {
        return $this->belongsTo(DepositImport::class,'import_id','id');
    }

    public function commissions()
    {
        return $this->hasMany(DepositEmployee::class, 'ag_login_id', 'ag_login_id');
    }

    public function createdBy()
    {
        return $this->belongsTo(User::class, 'created_by', 'id');
    }

    public function updatedBy()
    {
        return $this->belongsTo(User::class, 'updated_by', 'id');
    }

    public function paidBy()
    {
        return $this->belongsTo(User::class, 'paid_by', 'id');
    }

    public function employeeInfo() {
        return $this->belongsTo(Employee::class, 'employee_id','id');
    }
}
