<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('commission_employees', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('import_id')->comment('commission import table row id');
            $table->unsignedBigInteger('employee_id')->nullable()->comment('employee table row id');
            $table->string('ag_login_id')->comment('employee table row login id');
            $table->string('emp_name');
            $table->decimal('valid_turn',20,2)->nullable();
            $table->integer('active_member')->nullable();
            $table->decimal('member_WL',20,2)->nullable();
            $table->decimal('member_jackpot_WL',20,2)->nullable();
            $table->decimal('member_comm',20,2)->nullable();
            $table->decimal('member_totla_PL',20,2)->nullable();
            $table->decimal('downlines_PT_WL',20,2)->nullable();
            $table->decimal('downlines_comm',20,2)->nullable();
            $table->decimal('downlines_total_PL',20,2)->nullable()->comment('total payout commission');
            $table->decimal('self_PT_WL',20,2)->nullable();
            $table->decimal('self_comm',20,2)->nullable();
            $table->decimal('self_total_PL',20,2)->nullable();
            $table->decimal('company',20,2)->nullable();
            $table->decimal('total_commission',20,2);
            $table->decimal('due_commission',20,2);
            $table->decimal('paid_commission',20,2);
            $table->text('payment_method_info')->nullable();
            $table->tinyInteger('paid_status')->default(0)->comment('0=unpaid,1=paid');
            $table->timestamps();
            $table->dateTime('deleted_at')->nullable();
            $table->dateTime('paid_at')->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
            $table->unsignedBigInteger('paid_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('commission_employees');
    }
};
