<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('employees', function (Blueprint $table) {
            $table->id();
            $table->integer('affiliate_id');
            $table->string('upline_id_number')->nullable();
            $table->string('login_id');
            $table->string('emp_name')->nullable();
            $table->string('ag_user_name')->nullable();
            $table->string('tg')->nullable();
            $table->string('email')->nullable();
            $table->string('phone_number')->nullable();
            $table->string('reg_date')->nullable();
            $table->string('reg_time')->nullable();
            $table->string('internal')->nullable();
            $table->string('status')->nullable();
            $table->string('PT_commission_structure')->nullable();
            $table->string('password')->nullable();
            $table->decimal('commission_balance',20,2)->default(0);
            $table->decimal('deposit_balance',20,2)->default(0);
            $table->json('import_data')->nullable();
            $table->tinyInteger('social_channel')->nullable()->comment('1=whatsapp,2=telegram,3=skype');
            $table->string('social_channel_details')->nullable();
            $table->tinyInteger('payment_method')->nullable()->comment('1=bank,2=e-wallet,3=usdt');
            $table->string('wallet_type')->nullable();
            $table->string('wallet_holder_name')->nullable();
            $table->string('wallet_no')->nullable();
            $table->string('bank_name')->nullable();
            $table->string('branch_name')->nullable();
            $table->string('bank_holder_name')->nullable();
            $table->string('bank_account_no')->nullable();
            $table->tinyInteger('usdt_network')->nullable()->comment('1=trc20,2=erc20');
            $table->string('usdt_address')->nullable();
            $table->timestamps();
            $table->dateTime('deleted_at')->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('employees');
    }
};
