<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('commission_paids', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('employee_id')->comment('employee table row id');
            $table->decimal('paid_amount',20,2)->default(0);
            $table->dateTime('paid_at');
            $table->string('payment_method_info')->nullable();
            $table->unsignedBigInteger('paid_by')->comment('user table row id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('commission_paids');
    }
};
