<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('adjustments', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('period_id');
            $table->string('login_id');
            $table->decimal('adjustment_amount',20,2)->default(0);
            $table->tinyInteger('adjustment_type')->default(0)->comment('1= Minus (-), 2=Plus (+)');
            $table->tinyInteger('adjustment_for')->default(0)->comment('1= commission, 2=bonus');
            $table->tinyInteger('paid_status')->default(2)->comment('1=paid, 2=unpaid');
            $table->string('remarks', 225);
            $table->timestamps();
            $table->dateTime('deleted_at')->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('adjustments');
    }
};
