<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('deposit_employees', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('import_id')->comment('deposit import table row id');
            $table->unsignedBigInteger('employee_id')->nullable()->comment('employee table row id');
            $table->string('ag_login_id')->comment('employee table row login id');
            $table->string('emp_name');
            $table->decimal('plus_minus',20,2)->default(0);
            $table->string('first_deposit')->nullable();
            $table->timestamps();
            $table->dateTime('deleted_at')->nullable();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('deposit_employees');
    }
};
