@extends('admin.layout.layout')
@section('page-title', 'Adjustment Create')
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Adjustment</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Commission</li>
                        <li class="breadcrumb-item active" aria-current="page">Adjustment</li>
                        <li class="breadcrumb-item active" aria-current="page">Create</li>
                    </ol>
                </nav>
            </div>
            <div class="ms-auto">
                <a href="{{ route('commission.adjustment.list') }}" class="btn btn-primary radius-30 mt-2 mt-lg-0"><i
                        class="fadeIn animated bx bx-list-ol"></i> Adjustment List</a>
            </div>
        </div>
        <!--end breadcrumb-->
        <div class="row">
            <div class="col-xl-9 mx-auto">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('commission.adjustment.store') }}" method="post">
                            @csrf
                            <div class="row">
                                <div class="mb-4 col-md-6">
                                    <label for="login_id" class="form-label">AG login ID *</label>
                                    <input type="text" value="{{old('login_id','')}}" class="form-control"
                                           placeholder="Enter a AG ID" name="login_id"
                                           id="login_id" required>
                                    @error('login_id')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="period_id" class="form-label">Period *</label>
                                    <select class="form-select single-select-field" id="period_id"
                                            data-placeholder="Choose anything"
                                            name="period_id" required>
                                        <option selected disabled>--- Select Period ---</option>
                                        @foreach ($periods as $period)
                                            <option value="{{ $period->id }}">{{ $period->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('period_id')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="adjustment_type" class="form-label">Adjustment Type *</label>
                                    <select class="form-select" id="adjustment_type" data-placeholder="Choose anything"
                                            name="adjustment_type" required>
                                        <option selected disabled>--- Select Adjustment Type ---</option>
                                        <option value="1">Minus (-)</option>
                                        <option value="2">Plus (+)</option>
                                    </select>
                                    @error('adjustment_type')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="adjustment_for" class="form-label">Adjustment For *</label>
                                    <select class="form-select" id="adjustment_for" data-placeholder="Choose anything"
                                            name="adjustment_for" required>
                                        <option selected disabled>--- Select Adjustment For ---</option>
                                        <option value="1">Commission</option>
                                        <option value="2">Bonus</option>
                                    </select>
                                    @error('adjustment_for')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="mb-4 col-md-12">
                                    <label for="adjustment_amount" class="form-label">Adjustment Amount</label>
                                    <input type="text" value="{{old('adjustment_amount','')}}" class="form-control"
                                           placeholder="Adjustment Amount" name="adjustment_amount"
                                           id="adjustment_amount" required>
                                    @error('adjustment_amount')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="mb-4 col-md-12">
                                    <label for="remarks" class="form-label">Remarks *</label>
                                    <input type="text" value="{{old('remarks','')}}" class="form-control"
                                           placeholder="Remarks not more than 50 char.." name="remarks"
                                           id="remarks" required>
                                    @error('remarks')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="text-right d-flex justify-content-end">
                            <button type="submit" class="btn btn-primary"><i class="fadeIn animated bx bx-save"></i> Submit</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!--end row-->
    </div>
@endsection
