@extends('admin.layout.layout')
@section('page-title', 'Agent Create')
@section('extra-css')
    <style>
        .upload-container {
            max-width: 400px;
            margin: 2rem auto;
        }

        .upload-area {
            border: 2px dashed #dee2e6;
            border-radius: 10px;
            padding: 2rem;
            text-align: center;
            cursor: pointer;
            transition: all 0.3s ease;
        }

        .upload-area:hover {
            border-color: #0d6efd;
            background-color: #f8f9fa;
        }

        .upload-icon {
            font-size: 48px;
            color: #6c757d;
            margin-bottom: 1rem;
        }

        .upload-text {
            color: #6c757d;
            margin-bottom: 0.5rem;
        }

        .upload-subtext {
            font-size: 0.875rem;
            color: #adb5bd;
        }

        #fileInput {
            display: none;
        }
    </style>
@endsection
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Agent</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Commission</li>
                        <li class="breadcrumb-item active" aria-current="page">Agent</li>
                        <li class="breadcrumb-item active" aria-current="page">Import</li>
                    </ol>
                </nav>
            </div>
            <div class="ms-auto">
                <a href="{{asset('demo/agent-list-import-demo-data.xlsx')}}" download
                   class="btn btn-primary radius-30 mt-2 mt-lg-0 mr-1">
                    <i class="bx bxs-download"></i>Demo Download
                </a>
                <a href="{{ route('commission.agent.list') }}" class="btn btn-primary radius-30 mt-2 mt-lg-0"> <i
                        class="fadeIn animated bx bx-list-ol"></i> Agent List</a>
            </div>
        </div>
        <!--end breadcrumb-->
        <div class="row">
            <div class="col-xl-9 mx-auto">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('commission.agent.submit_import') }}" method="post"
                              enctype="multipart/form-data">
                            @csrf
                            <div class="upload-container">
                                <label for="file-input" class="w-100">
                                    <div class="upload-area">
                                        <div class="upload-icon">
                                            📁
                                        </div>
                                        <h5 id="file-name">Choose an Excel file...</h5>
                                    </div>
                                </label>
                                <input type="file" id="file-input" name="import_file" class="form-control d-none">
                                <!-- <button
                                    type="submit" class="btn btn-primary mt-3 w-100"
                                    id="upload-btn">Upload
                                </button> -->
                                <button type="submit" class="btn btn-primary buttonloader mt-3 w-100" id="upload-btn">
                                            <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true" id="spinner" style="display:none;"></span>
                                                <i class="fadeIn animated bx bx-upload" id="initialsIcon"></i>
                                                <span id="buttonText">Upload</span>
                                        </button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!--end row-->
    </div>
@endsection

@section('extra-script')
    <script>
        const fileInput = document.getElementById("file-input");
        const fileNameDisplay = document.getElementById("file-name");
        const fileIcon = document.querySelector(".upload-icon");

        fileInput.addEventListener("change", function () {
            if (this.files.length) {
                fileNameDisplay.textContent = this.files[0].name;
            } else {
                fileNameDisplay.textContent = "Choose an Excel file...";
                fileIcon.style.display = "none"; // Hide icon
            }
        });
    </script>
@endsection
