@extends('admin.layout.layout')
@section('page-title', 'Agent Update')
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Agent</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Commission</li>
                        <li class="breadcrumb-item active" aria-current="page">Agent</li>
                        <li class="breadcrumb-item active" aria-current="page">Update</li>
                    </ol>
                </nav>
            </div>
            <div class="ms-auto">
                <a href="{{ route('commission.agent.list') }}" class="btn btn-primary radius-30 mt-2 mt-lg-0"> <i class="fadeIn animated bx bx-list-ol"></i> Agent List</a>
            </div>
        </div>
        <!--end breadcrumb-->
        <div class="row">
            <div class="col-xl-9 mx-auto">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('commission.agent.update') }}" method="post">
                            @csrf
                            <div class="row">
                                <div class="col-md-6 mb-4">
                                    <label for="affiliate_id" class="form-label">Affiliate Id *</label>
                                    <select class="form-select single-select-field" id="affiliate_id" data-placeholder="Choose anything"
                                        name="affiliate_id">
                                        <option selected disabled>--- Select Affiliate ---</option>
                                        @foreach ($affiliates as $affiliate)
                                            <option @if($affiliate->id == $agent->affiliate_id) selected @endif value="{{ $affiliate->id }}">{{ $affiliate->name }}</option>
                                        @endforeach
                                    </select>
                                    @error('affiliate_id')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="login_id" class="form-label">Login ID *</label>
                                    <input type="text" class="form-control" placeholder="Enter a login ID"
                                           name="login_id"
                                           id="login_id" value="{{$agent->login_id}}">
                                    @error('login_id')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="user_name" class="form-label">Agent Name *</label>
                                    <input type="hidden" name="row_id" value="{{$agent->id}}">
                                    <input type="text" class="form-control" placeholder="Enter a user name" name="name"
                                           id="user_name" value="{{$agent->emp_name}}">
                                    @error('name')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="email" class="form-label">Email *</label>
                                    <input type="email" class="form-control" placeholder="Enter an email" name="email"
                                           id="email" value="{{$agent->email}}">
                                    @error('email')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="phone" class="form-label">Phone</label>
                                    <input type="text" class="form-control" placeholder="Enter a phone number"
                                           name="phone"
                                           id="phone" value="{{$agent->phone_number}}">
                                    @error('phone')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="social_channel" class="form-label">Social Channel *</label>
                                    <select class="form-select single-select-field" id="social_channel"
                                            data-placeholder="Choose social channel"
                                            name="social_channel">
                                        <option value=""></option>
                                        <option @if($agent->social_channel == 1) selected @endif value="1">Whatsapp</option>
                                        <option @if($agent->social_channel == 2) selected @endif value="2">Telegram</option>
                                        <option @if($agent->social_channel == 3) selected @endif value="3">Skype</option>
                                    </select>
                                    @error('social_channel')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="social_channel_details" class="form-label">Social Channel Details *</label>
                                    <input type="text" class="form-control" placeholder="Enter a phone number"
                                           name="social_channel_details"
                                           id="phone" value="{{$agent->social_channel_details}}">
                                    @error('social_channel_details')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="payment_method" class="form-label">Payment Method *</label>
                                    <select class="form-select single-select-field" id="payment_method"
                                            data-placeholder="Choose payment method"
                                            name="payment_method" onchange="handlePaymentMethodChange(this.value)">
                                        <option value=""></option>
                                        <option @if(old('payment_method',$agent->payment_method) == 1) selected @endif value="1">Bank</option>
                                        <option @if(old('payment_method',$agent->payment_method) == 2) selected @endif value="2">E-Wallet</option>
                                        <option @if(old('payment_method',$agent->payment_method) == 3) selected @endif value="3">USDT</option>
                                    </select>
                                    @error('payment_method')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-12 payment-method-container">

                                </div>
                                <!-- <div class="col-md-6 mb-4">
                                    <label for="password" class="form-label">Password</label>
                                    <input type="password" class="form-control" placeholder="Enter a password"
                                           name="password"
                                           id="password">
                                    @error('password')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col-md-6 mb-4">
                                    <label for="password_confirmation" class="form-label">Confirm Password</label>
                                    <input type="password" class="form-control" placeholder="Enter confirm password"
                                           name="password_confirmation" id="password_confirmation">
                                    @error('password_confirmation')
                                    <div class="text-danger">{{ $message }}</div>
                                    @enderror
                                </div> -->
                            </div>
                            <button type="submit" class="btn btn-primary"><i class="fadeIn animated bx bx-save"></i>
                                Submit
                            </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!--end row-->
    </div>
@endsection

@section('extra-script')
    <script>

        const agentData = @json($agent);
        if(agentData) {
            handlePaymentMethodChange(agentData.payment_method.toString())
        }

        function handlePaymentMethodChange(value) {
            let container = document.querySelector('.payment-method-container');
            container.innerHTML = ''; // Clear previous fields

            let content = '';

            if (value === '1') { // Bank
                content = `
                    <div class="row">
                        <div class="col-md-6 mb-4">
                            <label for="bank_name" class="form-label">Bank Name *</label>
                            <input type="text" class="form-control" name="bank_name" id="bank_name" placeholder="Enter bank name" value="{{ $agent->bank_name }}">
                            @error('bank_name')
                <div class="text-danger">{{ $message }}</div>
                            @enderror
                </div>
                <div class="col-md-6 mb-4">
                    <label for="account_holder_name" class="form-label">Account Holder Name *</label>
                    <input type="text" class="form-control" name="account_holder_name" id="account_holder_name" placeholder="Enter account holder number" value="{{ $agent->bank_holder_name }}">
                            @error('account_holder_name')
                <div class="text-danger">{{ $message }}</div>
                            @enderror
                </div>
                <div class="col-md-6 mb-4">
                    <label for="account_no" class="form-label">Account Number *</label>
                    <input type="text" class="form-control" name="account_no" id="account_no" placeholder="Enter account number" value="{{ $agent->bank_account_no }}">
                            @error('account_no')
                <div class="text-danger">{{ $message }}</div>
                            @enderror
                </div>
                <div class="col-md-6 mb-4">
                    <label for="branch_name" class="form-label">Branch Name *</label>
                    <input type="text" class="form-control" name="branch_name" id="branch_name" placeholder="Enter account number" value="{{ $agent->branch_name }}">
                            @error('branch_name')
                <div class="text-danger">{{ $message }}</div>
                            @enderror
                </div>
            </div>
`;
            } else if (value === '2') { // E-Wallet
                content = `
                    <div class="row">
                        <div class="col-md-6 mb-4">
                            <label for="ewallet_type" class="form-label">E-Wallet Type *</label>
                            <input type="text" class="form-control" name="ewallet_type" id="ewallet_type" placeholder="Enter wallet type" value="{{ $agent->wallet_type }}">
                            @error('ewallet_type')
                <div class="text-danger">{{ $message }}</div>
                            @enderror
                </div>
                <div class="col-md-6 mb-4">
                    <label for="ewallet_holder_name" class="form-label">E-Wallet Holder Name *</label>
                    <input type="text" class="form-control" name="ewallet_holder_name" id="ewallet_holder_name" placeholder="Enter wallet holder name" value="{{ $agent->wallet_holder_name }}">
                            @error('ewallet_holder_name')
                <div class="text-danger">{{ $message }}</div>
                            @enderror
                </div>
                <div class="col-md-12 mb-4">
                    <label for="ewallet_number" class="form-label">E-Wallet Number *</label>
                    <input type="text" class="form-control" name="ewallet_number" id="ewallet_number" placeholder="Enter wallet number" value="{{ $agent->wallet_no }}">
                            @error('ewallet_number')
                <div class="text-danger">{{ $message }}</div>
                            @enderror
                </div>
            </div>
`;
            } else if (value === '3') { // USDT
                content = `
                    <div class="row">
                        <div class="col-md-6 mb-4">
                            <label for="usdt_network" class="form-label">Network Type *</label>
                            <select class="form-select" name="usdt_network" id="usdt_network">
                                <option @if($agent->usdt_network == 1) selected @endif value="1">TRC20</option>
                                <option @if($agent->usdt_network == 2) selected @endif value="2">ERC20</option>
                            </select>
                            @error('usdt_network')
                <div class="text-danger">{{ $message }}</div>
                            @enderror
                </div>
                <div class="col-md-6 mb-4">
                    <label for="usdt_address" class="form-label">USDT Network Address *</label>
                    <input type="text" class="form-control" name="usdt_address" id="usdt_address" placeholder="Enter USDT wallet address" value="{{ $agent->usdt_address }}">
                            @error('usdt_address')
                <div class="text-danger">{{ $message }}</div>
                            @enderror
                </div>
            </div>
`;
            }

            container.innerHTML = content;
        }

        // Auto trigger function on page load if there is an old payment method selected
        document.addEventListener('DOMContentLoaded', function () {
            let oldPaymentMethod = "{{ old('payment_method') }}";
            if (oldPaymentMethod) {
                handlePaymentMethodChange(oldPaymentMethod);
            }
        });
    </script>
@endsection
