@extends('admin.layout.layout')
@section('page-title', 'User list')
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Agent</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Commission</li>
                        <li class="breadcrumb-item active" aria-current="page">Agent</li>
                        <li class="breadcrumb-item active" aria-current="page">List</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        <div class="position-relative">
                            <input type="text" name="search" value="{{ request()->get('search') }}"
                                   class="form-control ps-5 radius-30" placeholder="Search here"> <span
                                class="position-absolute top-50 product-show translate-middle-y"><i
                                    class="bx bx-search"></i></span>
                        </div>
                        <div>
                            <button class="btn btn-primary radius-30" type="submit">Search</button>
                        </div>
                        @can('create user')
                            <div class="ms-auto">
                                <a href="{{ route('commission.agent.import') }}"
                                   class="btn btn-primary radius-30 mt-2 mt-lg-0"><i
                                        class="bx bxs-plus-square"></i>Import Agents</a>
                                <a href="{{ route('commission.agent.create') }}"
                                   class="btn btn-primary radius-30 mt-2 mt-lg-0"><i
                                        class="bx bxs-plus-square"></i>Add New
                                    Agent</a>
                            </div>
                        @endcan
                    </div>
                </form>
                <div class="card card-body">
                    <table class="table table-striped table-bordered table-responsive dataTable1 mb-0">
                        <thead class="table-light">
                        <tr>
                            <th>SL#</th>
                            <th>Agent ID</th>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Phone Number</th>
                            <th>Social Channel</th>
                            <th>Payment Method Details</th>
                            <th>Available Balance</th>
                            <th>Action By</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        @php
                            $currentPage = $users->currentPage(); // Current page number
                            $perPage = $users->perPage(); // Items per page
                        @endphp
                        @forelse ($users as $index => $user)
                            <tr>
                                <td>
                                    <h6 class="mb-0 font-14">
                                    {{ ($currentPage - 1) * $perPage + $index + 1 }}
                                    </h6>
                                </td>
                                <td>
                                    <a href="javascript:void(0)"
                                       onclick="openWithQueryParams('{{$user?->login_id}}')">{{$user?->login_id}}</a>
                                </td>
                                <td>
                                    <p class="mb-0" style="font-size: 14px">
                                        <i class="fa-solid fa-user"></i> {{ $user->emp_name ?? 'Unknown' }}
                                    </p>
                                </td>
                                <td>
                                    @if ($user->email)
                                        <p class="mb-0" style="font-size: 14px">
                                            <i class="fa-solid fa-envelope"></i> {{ $user->email }}
                                        </p>
                                    @endif
                                </td>
                                <td>
                                    @if ($user->phone_number)
                                        <p class="mb-0" style="font-size: 14px">
                                            <i class="fa-solid fa-phone"></i> {{ $user->phone_number }}
                                        </p>
                                    @endif
                                </td>
                                <td>
                                    {{$user->social_channel_name ?? ''}} : <br>
                                    {{$user->social_channel_details ?? ''}}
                                </td>
                                <td style="width: 20%">
                                    @if($user->payment_method == 1)
                                        @if($user->bank_name)
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-bank"></i> Bank Name : {{ $user->bank_name ?? '' }}
                                            </p>
                                        @endif
                                        @if($user->bank_holder_name)
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-bank"></i> Account Holder Name : {{ $user->bank_holder_name ?? '' }}
                                            </p>
                                        @endif
                                        @if($user->bank_account_no)
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-bank"></i> Account Number : {{ $user->bank_account_no ?? '' }}
                                            </p>
                                        @endif
                                        @if($user->branch_name)
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-bank"></i> Branch Name : {{ $user->branch_name ?? '' }}
                                            </p>
                                        @endif
                                    @elseif($user->payment_method == 2)
                                        @if($user->wallet_type)
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-wallet"></i> Wallet Type : {{ $user->wallet_type ?? '' }}
                                            </p>
                                        @endif
                                        @if($user->wallet_holder_name)
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-user"></i> Wallet Holder Name : {{ $user->wallet_holder_name ?? '' }}
                                            </p>
                                        @endif
                                        @if($user->wallet_no)
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-wallet"></i> Wallet Number : {{ $user->wallet_no ?? '' }}
                                            </p>
                                        @endif
                                    @else
                                        @if($user->usdt_network_name)
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-user"></i> USDT Network : {{ $user->usdt_network_name ?? '' }}
                                            </p>
                                        @endif
                                        @if($user->usdt_address)
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-wallet"></i> USDT Address : {{ $user->usdt_address ?? '' }}
                                            </p>
                                        @endif
                                    @endif
                                </td>
                                <td>
                                    {{ $user->commission_balance ?? '' }}
                                </td>

                                <td>
                                    @if ($user?->updatedAt)
                                        <p class="mb-0">{{ $user?->updatedBy?->name }}</p>
                                        <small>{{ date('Y-m-d h:i:s a', strtotime($user->updated_at)) }}</small>
                                    @else
                                        <p class="mb-0">{{ $user?->createdBy?->name }}</p>
                                        <small>
                                            {{ date('Y-m-d h:i:s a', strtotime($user->created_at)) }}
                                        </small>
                                    @endif
                                </td>
                                <td>
                                    <div class="d-flex order-actions">
                                        @can('update user')
                                            <a href="{{ route('commission.agent.edit', $user->id) }}" class=""><i
                                                    class='bx bxs-edit'></i></a>
                                        @endcan
                                    </div>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="15">
                                    <h4 class="text-secondary text-center">No data found</h4>
                                </td>
                            </tr>
                        @endforelse

                        </tbody>
                    </table>
                </div>
                <div class="row">
                    <div class="col-12 text-center mt-2">
                        {{ $users->appends($_GET)->links() }}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('extra-script')
    <script>
        function openWithQueryParams(agentId) {
            const currentParams = new URLSearchParams(window.location.search);

            // Set or replace the agent_id parameter
            currentParams.set('agent_id', agentId);

            // Define the base URL from Blade
            let baseUrl = @json(route('overview.report.tab'));

            // Append existing query parameters if they exist
            if (currentParams.toString()) {
                baseUrl += '?' + currentParams.toString();
            }

            // Open the new window with the modified URL
            window.open(baseUrl, 'commissionReportWindow', 'width=1300,height=600');
        }
    </script>
@endsection
