@extends('admin.layout.layout')
@section('page-title', 'Commission Invoice')
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Commission Invoice</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Commission</li>
                        <li class="breadcrumb-item active" aria-current="page">User</li>
                        <li class="breadcrumb-item active" aria-current="page">Invoice</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        @can('create role')
                            <div class="ms-auto">
                                <a href="{{ route('commission.pending.list') }}"
                                   class="btn btn-primary radius-30 mt-2 mt-lg-0">
                                    Commission List</a>
                            </div>
                        @endcan
                    </div>
                </form>
                <div style="width: 500px;margin:auto;border-radius: 5px;border: 2px dashed #ddd;padding:10px;">
                    <img src="{{ asset('assets/images/logo-icon.png') }}" class="user-img d-block m-auto"
                         alt="user avatar">
                    <div class="m-autod">

                        <p class="user-name mb-0 mt-2">Employee Name: {{ $employee->emp_name }}</p>
                        @if($paid_status == 1)
                            <p class="user-name mb-0">Paid Status: Paid</p>
                            <p class="user-name mb-0">Paid At: {{ date('Y-m-d h:i a',strtotime($data->paid_at)) }}</p>
                            <p class="user-name mb-0">Paid By: {{ $data->paidBy?->name }}</p>
                        @else
                            <p class="user-name mb-0">Paid Status: Unpaid</p>
                        @endif
                        @if($employee->payment_method == 1)
                            <p class="user-name mb-0">Paid To:
                                <span style="font-size: 10px">Bank name: {{$employee->bank_name}}</span>,
                                <span style="font-size: 10px">Branch name: {{$employee->branch_name}}</span>,
                                <span style="font-size: 10px">A/C holder: {{$employee->bank_holder_name}}</span>,
                                <span style="font-size: 10px">A/C no: {{$employee->bank_account_no}}</span>
                            </p>
                        @elseif($employee->payment_method == 2)
                            <p class="user-name mb-0">Paid To:
                                <span style="font-size: 10px">Wallet type: {{$employee->wallet_type}}</span>,
                                <span
                                    style="font-size: 10px">Wallet holder name: {{$employee->wallet_holder_name}}</span>,
                                <span style="font-size: 10px">Wallet no: {{$employee->wallet_no}}</span>
                            </p>
                        @elseif($employee->payment_method == 3)
                            <p class="user-name mb-0">Paid To:
                                <span style="font-size: 10px">USDT network: {{$employee->usdt_network}}</span>,
                                <span style="font-size: 10px">USDT address: {{$employee->usdt_address}}</span>
                            </p>
                        @endif

                        @foreach($commissions as $com)
                            <table style="border:1px solid #ddd;width:100%;margin-top:20px;">
                                <thead style="border-bottom:1px solid #ddd;background-color: #f1f1f1;">
                                <tr>
                                    <th style="padding: 5px 10px;">{{$com?->importInfo?->period?->name}}</th>
                                    <td></td>
                                </tr>
                                </thead>
                                <tbody>
                                <tr style="border-bottom: 1px solid #ddd;">
                                    <td style="padding: 5px 10px;">Total Deposit Amount</td>
                                    <td style="padding: 5px 10px;text-align:right;">
                                        {{$com->importInfo?->period?->deposit?->depositEmployees?->sum('plus_minus')}}
                                    </td>
                                </tr>
                                <tr style="border-bottom: 1px solid #ddd;">
                                    <td style="padding: 5px 10px;">Total Deposit</td>
                                    <td style="padding: 5px 10px;text-align:right;">
                                        {{$com->importInfo?->period?->deposit?->depositEmployees?->count()}}
                                    </td>
                                </tr>
                                <tr style="border-bottom: 1px solid #ddd;">
                                    <td style="padding: 5px 10px;">FTD</td>
                                    <td style="padding: 5px 10px;text-align:right;">
                                        {{$com->importInfo?->period?->deposit?->depositEmployees?->where('first_deposit','!=','N')->count()}}
                                    </td>
                                </tr>
                                <tr style="border-bottom: 1px solid #ddd;">
                                    <td style="padding: 5px 10px;">Total Win/loss</td>
                                    <td style="padding: 5px 10px;text-align:right;">
                                        {{$com->member_WL}}
                                    </td>
                                </tr>
                                <tr style="border-bottom: 1px solid #ddd;">
                                    <td style="padding: 5px 10px;">Active Player</td>
                                    <td style="padding: 5px 10px;text-align:right;">{{$com->active_member}}</td>
                                </tr>
                                <tr style="border-bottom: 1px solid #ddd;">
                                    <th style="padding: 5px 10px;">Commission</th>
                                    <th style="padding: 5px 10px;text-align:right;">{{$com->due_commission}}</th>
                                </tr>
                                </tbody>
                            </table>
                        @endforeach

                        <table style="border:1px solid #ddd;width:100%;margin-top:20px;">
                            <thead style="border-bottom:1px solid #ddd;background-color: #f1f1f1;">
                            <tr>
                                <th style="padding: 5px 10px;">Adjustments</th>
                                <td></td>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($adjustments as $adjustment)
                                <tr style="border-bottom: 1px solid #ddd;">
                                    <td style="padding: 5px 10px;width: 85%;">
                                        {{$adjustment?->period?->name}}
                                    </td>
                                    <td style="padding: 5px 10px;text-align:right;">
                                        @if($adjustment->adjustment_type == 1)
                                            -{{number_format($adjustment->adjustment_amount,2)}}
                                        @else
                                            {{number_format($adjustment?->adjustment_amount,2)}}
                                        @endif
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>

                        <table style="border:1px solid #ddd;width:100%;margin-top:20px;">
                            <thead style="border-bottom:1px solid #ddd;background-color: #f1f1f1;">
                            <tr>
                                <th style="padding: 5px 10px;width: 85%;">Total Commission</th>
                                <th style="padding: 5px 10px;text-align:right;">
                                    {{number_format($commissions->sum('due_commission'),2)}}
                                </th>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <th style="padding: 5px 10px;width: 85%;">Total Adjustment</th>
                                <th style="padding: 5px 10px;text-align:right;">
                                    {{number_format($adjustments->where('adjustment_type', 2)->sum('adjustment_amount') - $adjustments->where('adjustment_type', 1)->sum('adjustment_amount'),2)}}
                                </th>
                            </tr>
                            <tr>
                                <th style="padding: 5px 10px;width: 85%;">Total Payable</th>
                                <th style="padding: 5px 10px;text-align:right;">
                                    {{number_format($total_amount,2)}}
                                </th>
                            </tr>
                            </thead>
                        </table>
                    </div>

                    <a href="{{route('commission.available_user.invoice_download', $employee->id)}}"
                       class="btn btn-primary ms-auto w-100 mt-5">Download Invoice</a>
                </div>
            </div>
        </div>
    </div>
@endsection
