@extends('admin.layout.layout')
@section('page-title', 'Pending list')
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Pending Commission</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Commission</li>
                        <li class="breadcrumb-item active" aria-current="page">Pending</li>
                        <li class="breadcrumb-item active" aria-current="page">List</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        <div class="position-relative">
                            <input type="text" name="search" value="{{ request()->get('search') }}"
                                   class="form-control ps-5 radius-30" placeholder="Search by name"> <span
                                class="position-absolute top-50 product-show translate-middle-y"><i
                                    class="bx bx-search"></i></span>
                        </div>
                        <div>
                            <button class="btn btn-primary radius-30" type="submit">Search</button>
                        </div>
                        @can('create role')
                            <div class="ms-auto">
                                <a onclick="return confirm('Are you sure want to send Email?')" href="{{route('mail.pending.commission')}}"
                                                    class="btn btn-primary radius-30 mt-2 mt-lg-0">
                                    <i class="fadeIn animated bx bx-send"></i> Send Payout Calculation Email
                                </a>
                            </div>
                        @endcan
                    </div>
                </form>
                <div class="card card-body">
                    <table class="table table-striped table-bordered table-responsive mb-0">
                        <thead class="table-light">
                        <tr>
                            <th>SL#</th>
                            <th>AG Login ID</th>
                            <th>Agent Name</th>
                            <th>Total Due Commission</th>
                            <th>Paid Status</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        @forelse ($listData as $data)
                            <tr>
                                <td>
                                    <h6 class="mb-0 font-14">
                                        {{ $loop->iteration }}
                                    </h6>
                                </td>
                                <td>{{ $data?->login_id ?? '' }}</td>
                                <td>{{ $data?->emp_name ?? '' }}</td>

                                @if($data?->commission_balance >= \App\Constants\StaticConstants::PAYOUT_MIN_AMOUNT)
                                <td class="text-success">{{ $data?->commission_balance ?? '' }} </td>
                                @else
                                <td class="text-warning">{{ $data?->commission_balance ?? '' }} </td>
                                @endif

                                <td>
                                    Unpaid
                                </td>
                                <td>
                                    <div class="d-flex order-actions">
                                        @can('update role')
                                            <!-- @if($data?->commission_balance >= \App\Constants\StaticConstants::PAYOUT_MIN_AMOUNT)
                                                <a onclick="return confirm('Are you sure to paid!')" href="{{ route('commission.available_user.status_update', $data->id) }}"
                                                   class=""><i
                                                        class='bx bxs-dollar-circle'></i></a>
                                            @endif -->

                                            <a href="{{ route('commission.available_user.unpaid_view', $data->id) }}"
                                               class=""><i
                                                    class='bx bxs-info-circle'></i></a>
                                        @endcan
                                    </div>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="15">
                                    <h4 class="text-secondary text-center">No data found</h4>
                                </td>
                            </tr>
                        @endforelse

                        </tbody>
                    </table>
                </div>
                <div class="row">
                    <div class="col-12 mt-2">
                        {{ $listData->appends($_GET)->links() }}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
