@extends('admin.layout.layout') @section('page-title', 'Dashboard') @section('main-content')
    <div class="page-content">
        <div class="row mb-3">
            <div class="col-md-3">
                <div class="card radius-10 ">
                    <div class="card-body">
                        <div class="d-flex justify-content-between align-items-center">
                            <div>
                                <h6><strong>Total paid commission</strong></h6>
                                <p style="font-size: 12px" class="mb-0"><span>This Month:</span>
                                    {{$dashboardData?->total_paid_commission?->current_month}}</p>
                                <p style="font-size: 12px" class="mb-0"><span>Last Month:</span>
                                    {{$dashboardData?->total_paid_commission?->previous_month}}</p>
                            </div>
                            <div class="icon">
                                <i style="font-size: 50px" class='bx bx-dollar-circle text-success'></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-3">
                <div class="card radius-10 ">
                    <div class="card-body">
                        <div class="d-flex justify-content-between align-items-center">
                            <div>
                                <h6><strong>Total Due commission</strong></h6>
                                <p style="font-size: 12px" class="mb-0"><span>This Month:</span>
                                    {{$dashboardData?->total_due_commission?->current_month}}
                                </p>
                                <p style="font-size: 12px" class="mb-0"><span>Last Month:</span>
                                    {{$dashboardData?->total_due_commission?->previous_month}}
                                </p>
                            </div>
                            <div class="icon">
                                <i style="font-size: 50px" class='bx bx-dollar-circle text-warning'></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-3">
                <div class="card radius-10 ">
                    <div class="card-body">
                        <div class="d-flex justify-content-between align-items-center">
                            <div>
                                <h6><strong>Number of Deposit</strong></h6>
                                <p style="font-size: 12px" class="mb-0">
                                    <span>This Month:</span> {{$dashboardData?->no_of_deposits?->current_month}}</p>
                                <p style="font-size: 12px" class="mb-0">
                                    <span>Last Month:</span> {{$dashboardData?->no_of_deposits?->previous_month}}</p>
                            </div>
                            <div class="icon">
                                <i style="font-size: 50px" class='bx bx-wallet text-success'></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-md-3">
                <div class="card radius-10 ">
                    <div class="card-body">
                        <div class="d-flex justify-content-between align-items-center">
                            <div>
                                <h6><strong>FTD</strong></h6>
                                <p style="font-size: 12px" class="mb-0">
                                    <span>This Month:</span> {{$dashboardData?->no_of_ftds?->current_month}}</p>
                                <p style="font-size: 12px" class="mb-0">
                                    <span>Last Month:</span> {{$dashboardData?->no_of_ftds?->previous_month}}</p>
                            </div>
                            <div class="icon">
                                <i style="font-size: 50px" class='bx bx-sushi text-success'></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row g-4 mb-3">
            <div class="col-md-6">
                <div class="card rounded-4 mb-0">
                    <div class="card-body">
                        <div class="hstack align-items-center gap-3">
                            <div
                                class="mb-1 widgets-icons bg-light-success text-success rounded-3 d-flex align-items-center justify-content-center">
                                <i class='bx bx-stats'></i>
                            </div>
                            <hr class="vr">
                            <div class="">
                                <h5 class="mb-0 d-flex align-items-center gap-2">Company Statistics</h5>
                            </div>
                        </div>
                        <div id="user"></div>
                    </div>
                </div>
            </div>

            <div class="col-md-6">
                <div class="card rounded-4 mb-0">
                    <div class="card-body">
                        <div class="hstack align-items-center gap-3">
                            <div
                                class="mb-1 widgets-icons bg-light-success text-warning rounded-3 d-flex align-items-center justify-content-center">
                                <i class='bx bx-sushi'></i>
                            </div>
                            <hr class="vr">
                            <div class="">
                                <h5 class="mb-0 d-flex align-items-center gap-2">Company win/loss</h5>
                                <p style="font-size: 10px">Current year</p>
                            </div>
                        </div>
                        <div id="winLoss"></div>
                    </div>
                </div>
            </div>

            <div class="col-md-6">
                <div class="card rounded-4 mb-0">
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <div class="hstack align-items-center gap-3">
                                <div
                                    class="mb-1 widgets-icons bg-light-success text-success rounded-3 d-flex align-items-center justify-content-center">
                                    <i class='bx bx-wallet'></i>
                                </div>
                                <hr class="vr">
                                <div class="">
                                    <h5 class="mb-0 d-flex align-items-center gap-2">Total Deposit</h5>
                                    <p style="font-size: 10px">Current year</p>
                                </div>
                            </div>
                            <p style="color:#2d9411;">{{$totalDeposit}}</p>
                        </div>
                        <div id="deposit"></div>
                    </div>
                </div>
            </div>

            <div class="col-md-6">
                <div class="card rounded-4 mb-0">
                    <div class="card-body">
                        <div class="d-flex justify-content-between">
                            <div class="hstack align-items-center gap-3">
                                <div
                                    class="mb-1 widgets-icons bg-light-success text-success rounded-3 d-flex align-items-center justify-content-center">
                                    <i class='bx bx-dollar-circle'></i>
                                </div>
                                <hr class="vr">
                                <div class="">
                                    <h5 class="mb-0 d-flex align-items-center gap-2">Total Commission</h5>
                                    <p style="font-size: 10px">Current year</p>
                                </div>
                            </div>
                            <p style="color:#3433ec;">{{$totalCommission}}</p>
                        </div>
                        <div id="commission"></div>
                    </div>
                </div>
            </div>

        </div>
    </div>
@endsection

@section('extra-script')
    <script>

        //win loss chart
        $(function () {
            "use strict";

            var options = {
                series: [{
                    name: "Win Loss",
                    data: @json($dashboardData?->monthly_win_loss)
                }],
                chart: {
                    //width:150,
                    foreColor: "#9ba7b2",
                    toolbar: {
                        show: !1,
                    },
                    height: 205,
                    type: 'line',
                    sparkline: {
                        enabled: !1
                    },
                    zoom: {
                        enabled: false
                    }
                },
                dataLabels: {
                    enabled: false
                },
                stroke: {
                    width: 3,
                    curve: 'smooth'
                },
                fill: {
                    type: 'gradient',
                    gradient: {
                        shade: 'dark',
                        gradientToColors: ['#f6c422'],
                        shadeIntensity: 1,
                        type: 'vertical'
                    },
                },
                colors: ["#e3af2b"],
                grid: {
                    show: true,
                    borderColor: 'rgba(0, 0, 0, 0.15)',
                    strokeDashArray: 4,
                },
                tooltip: {
                    theme: "dark",
                    fixed: {
                        enabled: !1
                    },
                    x: {
                        show: !1
                    },
                    y: {
                        title: {
                            formatter: function (e) {
                                return ""
                            }
                        }
                    },
                    marker: {
                        show: !1
                    }
                },
                xaxis: {
                    categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
                }
            };

            var chart = new ApexCharts(document.querySelector("#winLoss"), options);
            chart.render();
        });

        //deposit chart
        $(function () {
            "use strict";

            var options = {
                series: [{
                    name: "Deposit amount",
                    data: @json($dashboardData?->monthly_deposit)
                }],
                chart: {
                    //width:150,
                    foreColor: "#9ba7b2",
                    toolbar: {
                        show: !1,
                    },
                    height: 205,
                    type: 'line',
                    sparkline: {
                        enabled: !1
                    },
                    zoom: {
                        enabled: false
                    }
                },
                dataLabels: {
                    enabled: false
                },
                stroke: {
                    width: 3,
                    curve: 'smooth'
                },
                fill: {
                    type: 'gradient',
                    gradient: {
                        shade: 'dark',
                        gradientToColors: ['#229004'],
                        shadeIntensity: 1,
                        type: 'vertical'
                    },
                },
                colors: ["#179503"],
                grid: {
                    show: true,
                    borderColor: 'rgba(0, 0, 0, 0.15)',
                    strokeDashArray: 4,
                },
                tooltip: {
                    theme: "dark",
                    fixed: {
                        enabled: !1
                    },
                    x: {
                        show: !1
                    },
                    y: {
                        title: {
                            formatter: function (e) {
                                return ""
                            }
                        }
                    },
                    marker: {
                        show: !1
                    }
                },
                xaxis: {
                    categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
                }
            };

            var chart = new ApexCharts(document.querySelector("#deposit"), options);
            chart.render();
        });

        //commission chart
        $(function () {
            "use strict";

            var options = {
                series: [{
                    name: "Commission amount",
                    data: @json($dashboardData?->monthly_commission)
                }],
                chart: {
                    //width:150,
                    foreColor: "#9ba7b2",
                    toolbar: {
                        show: !1,
                    },
                    height: 205,
                    type: 'line',
                    sparkline: {
                        enabled: !1
                    },
                    zoom: {
                        enabled: false
                    }
                },
                dataLabels: {
                    enabled: false
                },
                stroke: {
                    width: 3,
                    curve: 'smooth'
                },
                fill: {
                    type: 'gradient',
                    gradient: {
                        shade: 'dark',
                        gradientToColors: ['#1337ef'],
                        shadeIntensity: 1,
                        type: 'vertical'
                    },
                },
                colors: ["#1337ef"],
                grid: {
                    show: true,
                    borderColor: 'rgba(0, 0, 0, 0.15)',
                    strokeDashArray: 4,
                },
                tooltip: {
                    theme: "dark",
                    fixed: {
                        enabled: !1
                    },
                    x: {
                        show: !1
                    },
                    y: {
                        title: {
                            formatter: function (e) {
                                return ""
                            }
                        }
                    },
                    marker: {
                        show: !1
                    }
                },
                xaxis: {
                    categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
                }
            };

            var chart = new ApexCharts(document.querySelector("#commission"), options);
            chart.render();
        });

        //user chart
        $(function () {
            "use strict";

            var options = {
                series: @json($dashboardData?->statistics),
                chart: {
                    width: 380,
                    type: 'pie',
                },
                labels: ['Agent', 'Period', 'Paid Agent', 'Due Agent'],
                responsive: [{
                    breakpoint: 480,
                    options: {
                        chart: {
                            width: 200
                        },
                        legend: {
                            position: 'bottom'
                        }
                    }
                }]
            };

            var chart = new ApexCharts(document.querySelector("#user"), options);
            chart.render();
        });

    </script>
@endsection
