@extends('admin.layout.layout')
@section('page-title', 'Import Details')
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Import Commission</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Commission</li>
                        <li class="breadcrumb-item active" aria-current="page">Import</li>
                        <li class="breadcrumb-item active" aria-current="page">Details</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        <div class="position-relative">
                            <input type="text" name="search" value="{{ request()->get('search') }}"
                                   class="form-control ps-5 radius-30" placeholder="Search by name or ID"> <span
                                class="position-absolute top-50 product-show translate-middle-y"><i
                                    class="bx bx-search"></i></span>
                        </div>
                        <div>
                            <button class="btn btn-primary radius-30" type="submit">Search</button>
                        </div>
                        @can('create role')
                            <div class="ms-auto">
                                <a href="{{ route('commission.import.list') }}"
                                   class="btn btn-primary radius-30 mt-2 mt-lg-0">
                                    <i class="fadeIn animated bx bx-list-ol"></i></i>Import List</a>
                            </div>
                        @endcan
                    </div>
                </form>
                <div class="card card-body">
                    <table class="table table-striped table-bordered table-responsive mb-0">
                        <thead class="table-light">
                        <tr>
                            <th>SL#</th>
                            <th>Period</th>
                            <th>Affiliate</th>
                            <th>Emp. Name</th>
                            <th>Total Commission</th>
                            <th>Due Commission</th>
                            <th>Paid Commission</th>
                            <th>Paid Status</th>
                            <th>Action By</th>
                        </tr>
                        </thead>
                        <tbody>
                        @php
                            $totalCommission = 0;
                            $totalDueCommission = 0;
                            $totalPaidCommission = 0;

                            $currentPage = $listData->currentPage(); // Current page number
                            $perPage = $listData->perPage(); // Items per page
                        @endphp
                        @forelse ($listData as $index => $data)
                            @php 
                                $totalCommission += $data->total_commission; 
                                $totalDueCommission += $data->due_commission; 
                                $totalPaidCommission += $data->paid_commission; 
                            @endphp
                            
                            <tr>
                                <td>
                                    <h6 class="mb-0 font-14">
                                    {{ ($currentPage - 1) * $perPage + $index + 1 }}
                                    </h6>
                                </td>
                                <td>{{ $data?->importInfo?->period?->name ?? 'Unknown' }}</td>
                                <td>{{ $data?->employeeInfo?->affiliate?->name ?? 'Unknown' }}</td>
                                <td>
                                    <p class="mb-0">
                                        Name: {{ $data?->emp_name ?? '' }}
                                    </p>
                                    <p class="mb-0">
                                        Login ID: {{ $data?->ag_login_id ?? '' }}
                                    </p>
                                </td>
                                <td>{{ $data?->total_commission ?? '' }}</td>

                                @if($data?->due_commission >= \App\Constants\StaticConstants::PAYOUT_MIN_AMOUNT)
                                    <td class="text-success">{{ $data?->due_commission ?? '' }} </td>
                                @else
                                    <td class="text-warning">{{ $data?->due_commission ?? '' }} </td>
                                @endif
                                <td>{{ $data?->paid_commission ?? '' }}</td>
                                <td>
                                    @if($data->paid_status == 1)
                                        Paid
                                    @else
                                        Unpaid
                                    @endif
                                </td>
                                <td>
                                    @if ($data?->updatedBy)
                                        <p class="mb-0">{{ $data?->updatedBy?->name }}</p>
                                        <small>{{ date('Y-m-d h:i:s a', strtotime($data->updated_at)) }}</small>
                                    @else
                                        <p class="mb-0">{{ $data?->createdBy?->name }}</p>
                                        <small>
                                            {{ date('Y-m-d h:i:s a', strtotime($data->created_at)) }}
                                        </small>
                                    @endif
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="15">
                                    <h4 class="text-secondary text-center">No data found</h4>
                                </td>
                            </tr>
                        @endforelse
                        </tbody>
                        <tr style="margin-top:20px;">
                            <th></th>
                            <th></th>
                            <th></th>
                            <th></th>
                            <th>Total : {{$totalCommission}}</th>
                            <th>Total : {{$totalDueCommission}}</th>
                            <th>Total : {{$totalPaidCommission}}</th>
                            <th></th>
                            <th></th>
                        </tr>
                    </table>
                </div>
                <div class="row">
                    <div class="col-12 mt-2">
                        {{ $listData->appends($_GET)->links() }}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
