@extends('admin.layout.layout')
@section('page-title', 'Import list')
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Import Payout</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Payout</li>
                        <li class="breadcrumb-item active" aria-current="page">Import</li>
                        <li class="breadcrumb-item active" aria-current="page">List</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        <div class="position-relative">
                            <input type="text" name="search" value="{{ request()->get('search') }}"
                                   class="form-control ps-5 radius-30" placeholder="Search by period name"> <span
                                class="position-absolute top-50 product-show translate-middle-y"><i
                                    class="bx bx-search"></i></span>
                        </div>
                        <div>
                            <button class="btn btn-primary radius-30" type="submit">Search</button>
                        </div>
                        @can('create role')
                            <div class="ms-auto">
                                <a href="{{ route('commission.import.create') }}"
                                                    class="btn btn-primary radius-30 mt-2 mt-lg-0">
                                    <i class="bx bxs-plus-square"></i>Commission Import
                                </a>
                            </div>
                        @endcan
                    </div>
                </form>
                <div class="card card-body">
                    <table class="table table-striped table-bordered table-responsive mb-0">
                        <thead class="table-light">
                        <tr>
                            <th>SL#</th>
                            <th>Period</th>
                            <th>Start Date</th>
                            <th>End Date</th>
                            <th>Action By</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        @forelse ($listData as $data)
                            <tr>
                                <td>
                                    <h6 class="mb-0 font-14">
                                        {{ $loop->iteration }}
                                    </h6>
                                </td>
                                <td>{{ $data?->period?->name ?? 'Unknown' }}</td>
                                <td>{{ $data?->period?->start_date ?? '' }}</td>
                                <td>{{ $data?->period?->end_date ?? '' }}</td>
                                <td>
                                    @if ($data?->updatedBy)
                                        <p class="mb-0">{{ $data?->updatedBy?->name }}</p>
                                        <small>{{ date('Y-m-d h:i:s a', strtotime($data->updated_at)) }}</small>
                                    @else
                                        <p class="mb-0">{{ $data?->createdBy?->name }}</p>
                                        <small>
                                            {{ date('Y-m-d h:i:s a', strtotime($data->created_at)) }}
                                        </small>
                                    @endif
                                </td>
                                <td>
                                    <div class="d-flex order-actions">
                                        @can('update role')
                                            <a href="{{ route('commission.import.view', $data->id) }}" class="text-primary"><i
                                                    class='bx bxs-info-circle'></i></a>
                                        @endcan
                                        @can('delete role')
                                            {{-- <a href="javascript:;" class="ms-3"><i class='bx bxs-trash'></i></a> --}}
                                        @endcan
                                    </div>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="15">
                                    <h4 class="text-secondary text-center">No data found</h4>
                                </td>
                            </tr>
                        @endforelse

                        </tbody>
                    </table>
                </div>
                <div class="row">
                    <div class="col-12">
                        {{ $listData->appends($_GET)->links() }}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
