@extends('admin.layout.layout')
@section('page-title', 'Import Create')
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Import Deposit</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Deposit</li>
                        <li class="breadcrumb-item active" aria-current="page">Import</li>
                        <li class="breadcrumb-item active" aria-current="page">Create</li>
                    </ol>
                </nav>
            </div>
            <div class="ms-auto">
                <a href="{{asset('demo/deposit-import-demo-data.xlsx')}}" download
                   class="btn btn-primary radius-30 mt-2 mt-lg-0 mr-1">
                    <i class="bx bxs-download"></i>Demo Download
                </a>
                <a href="{{ route('deposit.import.list') }}" class="btn btn-primary radius-30 mt-2 mt-lg-0"><i class="fadeIn animated bx bx-list-ol"></i> Import
                    List</a>
            </div>
        </div>
        <!--end breadcrumb-->
        <div class="row">
            <div class="col-xl-9 mx-auto">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('deposit.import.submit_create') }}" method="post" enctype="multipart/form-data">
                            @csrf
                            <div class="mb-4">
                                <label for="period_id" class="form-label">Select Period</label>
                                <select class="form-select" id="period_id" data-placeholder="Choose anything"
                                        name="period_id">
                                    <option selected disabled>--- Select Period ---</option>
                                    @foreach ($periods as $period)
                                        <option value="{{ $period->id }}">{{ $period->name }}</option>
                                    @endforeach
                                </select>
                                @error('period_id')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
{{--                            <div class="mb-4">--}}
{{--                                <label for="affiliate_id" class="form-label">Select Affiiliate</label>--}}
{{--                                <select class="form-select" id="affiliate_id" data-placeholder="Choose anything"--}}
{{--                                        name="affiliate_id">--}}
{{--                                    <option selected disabled>--- Select Affiliate ---</option>--}}
{{--                                    @foreach ($affiliates as $affiliate)--}}
{{--                                        <option value="{{ $affiliate->id }}">{{ $affiliate->name }}</option>--}}
{{--                                    @endforeach--}}
{{--                                </select>--}}
{{--                                @error('affiliate_id')--}}
{{--                                <div class="text-danger">{{ $message }}</div>--}}
{{--                                @enderror--}}
{{--                            </div>--}}
                            <div class="mb-4">
                                <label for="deposit_file" class="form-label">Choose File</label>
                                <input type="file" class="form-control form-control-lg" name="deposit_file" id="deposit_file">
                                @error('deposit_file')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <button type="submit" class="btn btn-primary buttonloader" id="buttonloader">
                                            <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true" id="spinner" style="display:none;"></span>
                                                <i class="fadeIn animated bx bx-save" id="initialsIcon"></i>
                                                <span id="buttonText">Submit</span>
                                        </button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!--end row-->
    </div>
@endsection
