@extends('admin.layout.layout')
@section('page-title', 'Period Edit')
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Import Deposit</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Deposit</li>
                        <li class="breadcrumb-item active" aria-current="page">Period</li>
                        <li class="breadcrumb-item active" aria-current="page">Edit</li>
                    </ol>
                </nav>
            </div>
            <div class="ms-auto">
                <a href="{{ route('commission.period.list') }}" class="btn btn-light radius-30 mt-2 mt-lg-0">Period List</a>
            </div>
        </div>
        <!--end breadcrumb-->
        <div class="row">
            <div class="col-xl-9 mx-auto">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('commission.period.update') }}" method="post">
                            @csrf
                            <div class="mb-4">
                                <label for="period_name" class="form-label">Period name</label>
                                <input type="hidden" value="{{$data->id}}" name="row_id">
                                <input type="text" value="{{$data->name}}" class="form-control" placeholder="Enter a period name" name="period_name"
                                       id="period_name" required>
                                @error('period_name')
                                <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-4">
                                <div class="row">
                                    <div class="col-md-6">
                                        <label for="start_date" class="form-label">Start Date</label>
                                        <input type="text" value="{{$data->start_date}}" name="start_date" id="start_date" class="form-control datepicker" required />
                                        @error('start_date')
                                        <div class="text-danger">{{ $message }}</div>
                                        @enderror
                                    </div>
                                    <div class="col-md-6">
                                        <label for="end_date" class="form-label">End Date</label>
                                        <input type="text" value="{{$data->end_date}}" name="end_date" id="end_date" class="form-control datepicker" required/>
                                        @error('end_date')
                                        <div class="text-danger">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-light">Submit</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!--end row-->
    </div>
@endsection
