<div class="sidebar-wrapper" data-simplebar="true">
    <div class="sidebar-header">
        <div>
            <img src="{{ asset('assets/images/logo-icon.png') }}" class="logo-icon" alt="logo icon">
        </div>
        <div>
            <h4 class="logo-text">Comm. Report</h4>
        </div>
        <div class="toggle-icon ms-auto"><i class='bx bx-arrow-back'></i>
        </div>
    </div>
    <!--navigation-->
    <ul class="metismenu" id="menu">
        @can('view dashboard')
            <li>
                <a href="{{ route('admin.dashboard') }}">
                    <div class="parent-icon">
                        <i class='bx bx-home-alt'></i>
                    </div>
                    <div class="menu-title">Dashboard</div>
                </a>
            </li>
        @endcan

        @canany(['view role', 'view user'])
            <li>
                <a class="has-arrow" href="javascript:;">
                    <div class="parent-icon">
                        <i class="bx bx-cog"></i>
                    </div>
                    <div class="menu-title">System</div>
                </a>
                @canany(['view role', 'view user'])
                    <ul>
                        @can('view role')
                            <li>
                                <a href="{{ route('system.role.list') }}">
                                    <div class="parent-icon">
                                        <i class="bx bx-lock"></i>
                                    </div>
                                    <div class="menu-title">Role</div>
                                </a>
                            </li>
                        @endcan
                        @can('view user')
                            <li>
                                <a href="{{ route('system.user.list') }}">
                                    <div class="parent-icon">
                                        <i class="lni lni-users"></i>
                                    </div>
                                    <div class="menu-title">User</div>
                                </a>
                            </li>
                        @endcan

                    </ul>
                @endcanany
            </li>
        @endcanany

        <li class="menu-label">Commission</li>
        @canany(['view role', 'view user'])
            <li class="{{ request()->routeIs('commission*') ? 'mm-active' : '' }}">
                <a class="has-arrow" href="javascript:;">
                    <div class="parent-icon">
                        <i class="fadeIn animated bx bx-dialpad"></i>
                    </div>
                    <div class="menu-title">Commission Payout</div>
                </a>
                @canany(['view role', 'view user'])
                    <ul>
                    @can('view user')
                            <li class="{{request()->routeIs('commission.agent.create') || request()->routeIs('commission.agent.edit') || request()->routeIs('commission.agent.import') ? 'mm-active' : ''}}">
                                <a href="{{ route('commission.agent.list') }}">
                                    <div class="parent-icon">
                                        <i class="lni lni-users"></i>
                                    </div>
                                    <div class="menu-title">Agents List</div>
                                </a>
                            </li>
                        @endcan
                        @can('view role')
                            <li class="{{request()->routeIs('commission.period.view') || request()->routeIs('commission.period.create')  ? 'mm-active' : ''}}">
                                <a href="{{ route('commission.period.list') }}">
                                    <div class="parent-icon">
                                        <i class="fadeIn animated bx bx-layer"></i>
                                    </div>
                                    <div class="menu-title">Period</div>
                                </a>
                            </li>
                        @endcan
                        @can('view user')
                            <li class="{{request()->routeIs('deposit.import.view') || request()->routeIs('deposit.import.create') ? 'mm-active' : ''}}">
                                <a href="{{ route('deposit.import.list') }}">
                                    <div class="parent-icon">
                                        <i class="lni lni-invest-monitor"></i>
                                    </div>
                                    <div class="menu-title">Import Deposit</div>
                                </a>
                            </li>
                        @endcan
                        @can('view user')
                            <li class="{{request()->routeIs('commission.import.view') || request()->routeIs('commission.import.create') ?  'mm-active' : ''}}">
                                <a href="{{ route('commission.import.list') }}">
                                    <div class="parent-icon">
                                        <i class="fadeIn animated bx bx-file-blank"></i>
                                    </div>
                                    <div class="menu-title">Import Payout</div>
                                </a>
                            </li>
                        @endcan
                        @can('view user')
                            <li class="{{request()->routeIs('commission.available_user.unpaid_view') ? 'mm-active' : ''}}">
                                <a href="{{ route('commission.pending.list') }}">
                                    <div class="parent-icon">
                                        <i class="fadeIn animated bx bx-analyse"></i>
                                    </div>
                                    <div class="menu-title">Pending Comm.</div>
                                </a>
                            </li>
                        @endcan
                        @can('view user')
                            <li class="{{request()->routeIs('commission.payment.request.view') ? 'mm-active' : ''}}">
                                <a href="{{ route('commission.payment.request.list') }}">
                                    <div class="parent-icon">
                                        <i class="fadeIn animated bx bx-money"></i>
                                    </div>
                                    <div class="menu-title">Payment Request</div>
                                </a>
                            </li>
                        @endcan
                        @can('view user')
                            <li class="{{request()->routeIs('commission.paid.view') ? 'mm-active' : ''}}">
                                <a href="{{ route('commission.paid.list') }}">
                                    <div class="parent-icon">
                                        <i class="fadeIn animated bx bx-wallet"></i>
                                    </div>
                                    <div class="menu-title">Paid Commission</div>
                                </a>
                            </li>
                        @endcan

                        @can('view user')
                            <li class="{{request()->routeIs('commission.adjustment.create') || request()->routeIs('commission.adjustment.edit')  ? 'mm-active' : ''}}">
                                <a href="{{ route('commission.adjustment.list') }}">
                                    <div class="parent-icon">
                                        <i class="fadeIn animated bx bx-minus-front"></i>
                                    </div>
                                    <div class="menu-title">Adjustments</div>
                                </a>
                            </li>
                        @endcan

                        @can('view user')
                            <li>
                                <a href="{{ route('commission.report.list') }}">
                                    <div class="parent-icon">
                                        <i class="lni lni-bar-chart"></i>
                                    </div>
                                    <div class="menu-title">Reports</div>
                                </a>
                            </li>
                        @endcan
                    </ul>
                @endcanany
            </li>
        @endcanany
    </ul>
    <!--end navigation-->
</div>
