@extends('admin.layout.layout')
@section('page-title', 'Paid list')
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Paid Commission</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Commission</li>
                        <li class="breadcrumb-item active" aria-current="page">Paid</li>
                        <li class="breadcrumb-item active" aria-current="page">List</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        <div class="position-relative">
                            <input type="text" name="search" value="{{ request()->get('search') }}"
                                   class="form-control ps-5 radius-30" placeholder="Search by name"> <span
                                class="position-absolute top-50 product-show translate-middle-y"><i
                                    class="bx bx-search"></i></span>
                        </div>
                        <div>
                            <button class="btn btn-primary radius-30" type="submit">Search</button>
                        </div>
                    </div>
                </form>
                <div class="card card-body">
                    <table class="table table-striped table-bordered mb-0">
                        <thead class="table-light">
                        <tr>
                            <th>SL#</th>
                            <th>AG Login ID</th>
                            <th>Emp. Name</th>
                            <th>Total Due Commission</th>
                            <th>Total Adjustments</th>
                            <th>Total Paid</th>
                            <th>Paid Status</th>
                            <th>Action By</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        @forelse ($listData as $data)
                            <tr>
                                <td>
                                    <h6 class="mb-0 font-14">
                                        {{ $loop->iteration }}
                                    </h6>
                                </td>
                                <td>{{ $data?->employee?->login_id ?? '' }}</td>
                                <td>{{ $data?->employee?->emp_name ?? '' }}</td>
                                <td>{{ $data?->paid_amount ?? '' }}</td>
                                <td>
                                    @if($data->deduction_adjustments_sum_amount)
                                        <span class="">Deduction: </span>
                                        <span
                                            class="text-success">{{ $data->deduction_adjustments_sum_amount }}</span>
                                        <br/>
                                    @endif
                                    @if($data->addition_adjustments_sum_amount)
                                        <span class="">Addition: </span>
                                        <span
                                            class="text-danger">{{ $data->addition_adjustments_sum_amount }}</span>
                                    @endif
                                </td>
                                <td>
                                    {{ $data?->paid_amount - $data->deduction_adjustments_sum_amount + $data->addition_adjustments_sum_amount }}
                                </td>
                                <td>
                                    Paid
                                </td>
                                <td>
                                    @if ($data?->paidBy)
                                        <p class="mb-0">{{ $data?->paidBy?->name }}</p>
                                        <small>{{ date('Y-m-d h:i:s a', strtotime($data->paid_at)) }}</small>
                                    @endif
                                </td>
                                <td>
                                    <div class="d-flex order-actions">
                                        @can('update role')
                                            <a href="{{ route('commission.paid.view', $data->id) }}"
                                               class=""><i
                                                    class='bx bxs-info-circle'></i></a>
                                        @endcan
                                    </div>
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="15">
                                    <h4 class="text-secondary text-center">No data found</h4>
                                </td>
                            </tr>
                        @endforelse

                        </tbody>
                    </table>
                </div>
                <div class="row">
                    <div class="col-12  mt-2">
                        {{ $listData->appends($_GET)->links() }}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
