@extends('admin.layout.layout')
@section('page-title', 'Pending list')
@section('extra-css')
    <style>
        table tr th {
            white-space: nowrap;
        }

        .hidden-div {
            display: none; /* Initially hide the div */
        }
    </style>
@endsection
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Payout Report</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Payout</li>
                        <li class="breadcrumb-item active" aria-current="page">Report</li>
                        <li class="breadcrumb-item active" aria-current="page">List</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        <div class="card-body">
                            <form action="" method="get">
                                <div class="mb-4">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <label for="agent_id" class="form-label">Agent ID</label>
                                            <input type="text" value="{{request()->get('agent_id')}}"
                                                   class="form-control"
                                                   placeholder="Type Agent Id" name="agent_id" id="agent_id">
                                            @error('agent_id')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="col-md-4">
                                            <label for="affiliate_id" class="form-label">Upline</label>
                                            <select class="form-select" name="affiliate_id" id="affiliate_id"
                                                    data-placeholder="Choose anything">
                                                <option selected disabled>--- Select Affiliate ---</option>
                                                @foreach($affiliates as $affiliate)
                                                    <option
                                                        @if(request()->get('affiliate_id') == $affiliate->id) selected
                                                        @endif value="{{$affiliate->id}}">{{$affiliate->name}}</option>
                                                @endforeach
                                            </select>
                                            @error('affiliate_id')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="col-md-4">
                                            <label for="payment_status" class="form-label">Payment Status</label>
                                            <select class="form-select" name="payment_status" id="payment_status"
                                                    data-placeholder="Choose anything">
                                                <option @if(request()->get('payment_status') == 'all') selected
                                                        @endif value="all">All
                                                </option>
                                                <option @if(request()->get('payment_status') == 1) selected
                                                        @endif value="1">Paid
                                                </option>
                                                <option @if(request()->get('payment_status') == 2) selected
                                                        @endif value="2">Unpaid
                                                </option>
                                            </select>
                                            @error('payment_status')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-4">
                                    <div class="row mb-4">
                                        <div class="col-md-6">
                                            <label for="start_date" class="form-label">Start Date</label>
                                            <input type="date" value="{{request()->get('start_date')}}"
                                                   name="start_date" onchange="startDateChange(this.value)"
                                                   id="start_date" class="form-control datepicker" required/>
                                            @error('start_date')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="col-md-6">
                                            <label for="end_date" class="form-label">End Date</label>
                                            <input type="date" onchange="endDateChange(this.value)" value="{{request()->get('end_date')}}" name="end_date"
                                                   id="end_date" class="form-control datepicker" required/>
                                            @error('end_date')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <label style="cursor:pointer;color:#424242;">
                                        <input type="checkbox" onchange="checkboxChange()" name="advance_filter" id="showDivCheckbox">
                                        <b>More Filter Options</b></label>
                                </div>
                                <!-- Div that will be shown/hidden -->
                                <div class="hidden-div" id="hiddenDiv">
                                    <div class="row mb-4">
                                        <div class="col-md-3">
                                            <label for="deposit_range" class="form-label">Total Deposit Amount</label>
                                            <div class="input-group mb-3">
                                                <select style="margin-right:10px;" class="form-select"
                                                        name="deposit_range" id="deposit_range"
                                                        data-placeholder="Choose anything">
                                                    <option value="">--- Select Deposit Range ---</option>
                                                    <option @if(request()->get('deposit_range') == 2) selected
                                                            @endif value="2">more than
                                                    </option>
                                                    <option @if(request()->get('deposit_range') == 1) selected
                                                            @endif value="1">less than
                                                    </option>
                                                </select>
                                                <input type="number" min="0" class="form-control"
                                                       name="deposit_range_value"
                                                       value="{{request()->get('deposit_range_value')}}"
                                                       placeholder="Deposit range of amount">
                                            </div>
                                            @error('deposit_range_value')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="col-md-3">
                                            <label for="ftd_range" class="form-label">FTD</label>
                                            <div class="input-group mb-3">
                                                <select style="margin-right:10px;" class="form-select" name="ftd_range"
                                                        id="ftd_range"
                                                        data-placeholder="Choose anything">
                                                    <option value="">--- Select FTD Range ---</option>
                                                    <option @if(request()->get('commission_range') == 2) selected
                                                            @endif value="2">more than
                                                    </option>
                                                    <option @if(request()->get('commission_range') == 1) selected
                                                            @endif value="1">less than
                                                    </option>
                                                </select>
                                                <input type="number" min="0" class="form-control" name="ftd_range_value"
                                                       placeholder="Range of FTD"
                                                       value="{{request()->get('ftd_range_value')}}">
                                            </div>
                                            @error('ftd_range')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="col-md-3">
                                            <label for="payment_status" class="form-label">Active Member</label>
                                            <div class="input-group mb-3">
                                                <select style="margin-right:10px;" class="form-select"
                                                        name="active_member_range" id="active_member_range"
                                                        data-placeholder="Choose anything">
                                                    <option value="">--- Select Active Member Range ---</option>
                                                    <option @if(request()->get('active_member_range') == 2) selected
                                                            @endif value="2">more than
                                                    </option>
                                                    <option @if(request()->get('active_member_range') == 1) selected
                                                            @endif value="1">less than
                                                    </option>
                                                </select>
                                                <input type="number" min="0" class="form-control"
                                                       name="active_member_range_value"
                                                       placeholder="Range of Active Member"
                                                       value="{{request()->get('active_member_range_value')}}">
                                            </div>
                                            @error('ftd_range')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="col-md-3">
                                            <label for="payment_status" class="form-label">Commission</label>
                                            <div class="input-group mb-3">
                                                <select style="margin-right:10px;" class="form-select"
                                                        name="commission_range" id="commission_range"
                                                        data-placeholder="Choose anything">
                                                    <option value="">--- Select Commission Range ---</option>
                                                    <option @if(request()->get('commission_range') == 2) selected
                                                            @endif value="2">more than
                                                    </option>
                                                    <option @if(request()->get('commission_range') == 1) selected
                                                            @endif value="1">less than
                                                    </option>
                                                </select>
                                                <input type="number" min="0" class="form-control"
                                                       name="commission_range_value"
                                                       placeholder="Range of commission amount"
                                                       value="{{request()->get('commission_range_value')}}">
                                            </div>
                                            @error('commission_range_value')
                                            <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-4">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <button type="submit" class="btn btn-primary buttonloader"
                                                    id="buttonloader">
                                                <span class="spinner-border spinner-border-sm" role="status"
                                                      aria-hidden="true" id="spinner" style="display:none;"></span>
                                                <i class="lni lni-search-alt" id="initialsIcon"></i>
                                                <span id="buttonText">Search</span>
                                            </button>
                                            @can('create role')
                                                @if(count($listData) > 0)
                                                    <a disabled
                                                       href="{{route('commission.report.export',request()->query())}}"
                                                       class="btn btn-success download-excel mt-2 mt-lg-0 mr-1">
                                                        <i class="bx bxs-download"></i>Download Excel
                                                    </a>
                                                @endif
                                            @endcan
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </form>
                <div class="card card-body table-responsive">
                    <table class="table table-striped table-bordered mb-0">
                        <thead class="table-light">
                        <tr>
                            <th>SL#</th>
                            <th>Affiliate</th>
                            <th>Agent ID</th>
                            <th>Agent Name</th>
                            <th>Email</th>
                            <th>Phone</th>
                            <th>Deposit</th>
                            <th>FTD</th>
                            <th>Total Deposit</th>
                            <th>Active Member</th>
                            <th>Win/Loss</th>
                            <th>Commission</th>
                            <th>Deu Commission</th>
                            <th>Paid Commission</th>
                        </tr>
                        </thead>
                        <tbody>
                        @forelse($listData as $data)
                            <tr>
                                <td>{{$loop->iteration}}</td>
                                <td>{{$data?->affiliate?->name}}</td>
                                <td>
                                    <a href="javascript:void(0)"
                                       onclick="openWithQueryParams('{{$data?->login_id}}')">{{$data?->login_id}}</a>
                                </td>
                                <td>{{$data?->emp_name}}</td>
                                <td>{{$data?->email}}</td>
                                <td>{{$data?->phone_number}}</td>
                                <td>
                                    {{$data?->deposits?->count()}}
                                </td>
                                <td>
                                    {{$data?->deposits?->where('first_deposit','!=', 'N')->count()}}
                                </td>
                                <td>{{$data?->deposits?->sum('plus_minus')}}</td>
                                <td>
                                    {{$data?->availCommissions?->sum('active_member')}}
                                </td>
                                <td>
                                    {{$data?->availCommissions?->sum('member_WL')}}
                                </td>
                                <td>
                                    {{$data?->availCommissions?->sum('total_commission')}}
                                </td>
                                <td>
                                    {{$data?->availCommissions?->where('paid_status',0)->sum('due_commission')}}
                                </td>
                                <td>
                                    {{$data?->availCommissions?->where('paid_status',1)->sum('paid_commission')}}
                                </td>
                            </tr>
                        @empty
                            <tr>
                                <td colspan="20" class="text-center">No Records Found</td>
                            </tr>
                        @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection

@section('extra-script')
    <script>
        function openWithQueryParams(agentId) {
            const currentParams = new URLSearchParams(window.location.search);

            // Set or replace the agent_id parameter
            currentParams.set('agent_id', agentId);

            // Define the base URL from Blade
            let baseUrl = @json(route('overview.report.tab'));

            // Append existing query parameters if they exist
            if (currentParams.toString()) {
                baseUrl += '?' + currentParams.toString();
            }

            // Open the new window with the modified URL
            window.open(baseUrl, 'commissionReportWindow', 'width=1300,height=600');
        }
    </script>

    <script>
        // Get the checkbox and the div element
        const checkbox = document.getElementById('showDivCheckbox');
        const hiddenDiv = document.getElementById('hiddenDiv');

        const checkboxValue = '{{request()->get('advance_filter')}}';
        if(checkboxValue == 'on') {
            checkbox.checked = true;
            checkboxChange();
        }

        function checkboxChange() {
            // Check if the checkbox is checked
            if (checkbox.checked) {
                hiddenDiv.style.display = 'block'; // Show the div
            } else {
                hiddenDiv.style.display = 'none'; // Hide the div
            }
        }

        const startDateElement = document.querySelector('#start_date');
        const endDateElement = document.querySelector('#end_date');
        function endDateChange(value) {
            const startDate = new Date(startDateElement.value);
            const endDate = new Date(value);
            if (startDate > endDate) {
                alert('End date cannot be smaller than start date.');
                endDateElement.value = '';
                return false;
            }

            let diffInDays = (endDate - startDate) / (1000 * 60 * 60 * 24);

            if (diffInDays > 90) {
                alert('Date range cannot be greater than 90 days.');
                endDateElement.value = '';
                return false;
            }
        }

        function startDateChange(value) {
            const startDate = new Date(value);
            const endDate = new Date(endDateElement.value);
            if (startDate > endDate) {
                alert('Start date cannot be greater than end date.');
                startDateElement.value = '';
                return false;
            }

            let diffInDays = (endDate - startDate) / (1000 * 60 * 60 * 24);

            if (diffInDays > 90) {
                alert('Date range cannot be greater than 90 days.');
                startDateElement.value = '';
                return false;
            }
        }
    </script>

@endsection
