@extends('admin.layout.layout')
@section('page-title', 'Role Create')
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Role</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">System</li>
                        <li class="breadcrumb-item active" aria-current="page">Role</li>
                        <li class="breadcrumb-item active" aria-current="page">Update</li>
                    </ol>
                </nav>
            </div>
            <div class="ms-auto">
                <a href="{{ route('system.role.list') }}" class="btn btn-light radius-30 mt-2 mt-lg-0">Role List</a>
            </div>
        </div>
        <!--end breadcrumb-->
        <div class="row">
            <div class="col-xl-9 mx-auto">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('system.role.update') }}" method="post">
                            @csrf
                            <input type="hidden" name="id" value="{{ $role->id }}">
                            <div class="mb-4">
                                <label for="single-select-field" class="form-label">Role name</label>
                                <input type="text" class="form-control" value="{{ $role->name ?? '' }}"
                                    placeholder="Enter a role name" name="role_name" id="role_name">
                                @error('role_name')
                                    <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <h6 class="mb-0 text-uppercase">Permissions</h6>
                            <hr />
                            <div class="mb-4">
                                <label for="multiple-select-field" class="form-label">Select permission</label>
                                <select class="form-select" id="multiple-select-field" data-placeholder="Choose anything"
                                    name="permissions[]" multiple>
                                    @foreach ($permissions as $permission)
                                        <option @if (in_array($permission->id, $role_permissions)) selected @endif
                                            value="{{ $permission->id }}">
                                            {{ $permission->name }}</option>
                                    @endforeach
                                </select>
                                @error('permissions')
                                    <div class="text-danger">{{ $message }}</div>
                                @enderror
                            </div>
                            <button type="submit" class="btn btn-light">Submit</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!--end row-->
    </div>
@endsection
