@extends('admin.layout.layout')
@section('page-title', 'Role list')
@section('main-content')
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Role</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">System</li>
                        <li class="breadcrumb-item active" aria-current="page">Role</li>
                        <li class="breadcrumb-item active" aria-current="page">List</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        <div class="position-relative">
                            <input type="text" name="search" value="{{ request()->get('search') }}"
                                class="form-control ps-5 radius-30" placeholder="Search here"> <span
                                class="position-absolute top-50 product-show translate-middle-y"><i
                                    class="bx bx-search"></i></span>
                        </div>
                        <div>
                            <button class="btn btn-primary radius-30" type="submit">Search</button>
                        </div>
                        @can('create role')
                            <div class="ms-auto"><a href="{{ route('system.role.create') }}"
                                    class="btn btn-light radius-30 mt-2 mt-lg-0"><i class="bx bxs-plus-square"></i>Add New
                                    Role</a></div>
                        @endcan
                    </div>
                </form>
                <div class="table-responsive">
                    <table class="table mb-0">
                        <thead class="table-light">
                            <tr>
                                <th>SL#</th>
                                <th>Role Name</th>
                                <th>Action By</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse ($roles as $role)
                                <tr>
                                    <td>
                                        <h6 class="mb-0 font-14">
                                            {{ $loop->iteration }}
                                        </h6>
                                    </td>
                                    <td>{{ $role->name ?? 'Unknown' }}</td>
                                    <td>
                                        @if ($role?->updatedBy)
                                            <p class="mb-0">{{ $role?->updatedBy?->name }}</p>
                                            <small
                                                class="text-light">{{ date('Y-m-d h:i:s a', strtotime($role->updated_at)) }}</small>
                                        @else
                                            <p class="mb-0">{{ $role?->createdBy?->name }}</p>
                                            <small class="text-light">
                                                {{ date('Y-m-d h:i:s a', strtotime($role->created_at)) }}
                                            </small>
                                        @endif
                                    </td>
                                    <td>
                                        <div class="d-flex order-actions">
                                            @can('update role')
                                                <a href="{{ route('system.role.view', $role->id) }}" class=""><i
                                                        class='bx bxs-edit'></i></a>
                                            @endcan
                                            @can('delete role')
                                                {{-- <a href="javascript:;" class="ms-3"><i class='bx bxs-trash'></i></a> --}}
                                            @endcan
                                        </div>
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td colspan="15">
                                        <h4 class="text-secondary text-center">No data found</h4>
                                    </td>
                                </tr>
                            @endforelse

                        </tbody>
                    </table>
                </div>
                <div class="row">
                    <div class="col-12  mt-2">
                        {{ $roles->appends($_GET)->links() }}
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
