<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    @include('admin.layout.css.style')
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Employee Invoice</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            font-size: 14px;
            color: #333;
            margin: 0;
            padding: 0;
        }

        .wrapper {
            width: 100%;
            text-align: center;
            padding: 20px;
        }

        .container {
            width: 500px;
            margin: auto;
            border-radius: 5px;
            border: 3px solid green;
            padding: 10px;
            text-align: center;
        }

        .user-img {
            display: block;
            margin: auto;
            width: 60px;
            height: 60px;
            border-radius: 50%;
        }

        .user-info {
            margin-top: 10px;
            text-align: left;
        }

        .user-info p {
            margin: 5px 0;
            font-size: 14px;
        }

        .table-container {
            margin-top: 10px;
            width: 100%;
            text-align: left;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 10px;
        }

        table, th, td {
            border: 1px solid black;
        }

        th, td {
            padding: 8px;
            text-align: left;
        }

        th {
            background-color: #f2f2f2;
            font-weight: bold;
        }
    </style>
</head>

<body class="bg-theme bg-theme2">
<div class="wrapper">
    <div class="page-content">
        <div style="min-height: 86vh">
            <div class="page-wrapper">
                <div>
                    <p style="text-align: start !important;">
                        Dear {{ $data['emp_name'] }} <br/>
                        We wanted to inform you that there is a pending commission invoice for your recent activities. Please find the invoice details below for your reference.
                        Kindly review the invoice, and feel free to reach out if you have any questions or concerns.<br/>
                        Thank you for your continued collaboration!
                    </p>
                </div>
                <div style="width: 500px;margin:auto;border-radius: 5px;border: 2px dashed #ddd;padding:10px;">
                    <!-- User Info -->
                    <img
                        src="data:image/jpeg;base64,{{ base64_encode(file_get_contents(public_path('assets/images/logo-icon.png'))) }}"
                        class="user-img d-block m-auto"
                        alt="user avatar">
                    <div class="user-info">
                        <p><strong>Agent ID:</strong> {{ $data['login_id'] }}</p>
                        <p><strong>Agent Name:</strong> {{ $data['emp_name'] }}</p>
                        @if($data['paid_status'] == 1)
                            <p><strong>Paid Status:</strong> Paid</p>
                            <p><strong>Paid At:</strong> {{ date('Y-m-d h:i a', strtotime($data['paid_at'])) }}</p>
                            <p><strong>Paid By:</strong> {{ $data['paid_by'] }}</p>
                        @else
                            <p><strong>Paid Status:</strong> Unpaid</p>
                        @endif
                        @if(isset($data['payment_method_info']))
                            <p><strong>Paid To:</strong> <span
                                    style="font-size: 12px">{{ $data['payment_method_info'] }}</span></p>
                        @endif
                    </div>
                    <!-- Commission Table -->
                    @foreach($data->get('commissions') as $com)
                        <table style="border:1px solid #ddd;width:100%;margin-top:20px;">
                            <thead style="border-bottom:1px solid #ddd;background-color: #f1f1f1;">
                            <tr>
                                <th style="padding: 5px 10px;">{{$com?->importInfo?->period?->name}}</th>
                                <td></td>
                            </tr>
                            </thead>
                            <tbody>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">Total Deposit Amount</td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    {{$com->importInfo?->period?->deposit?->depositEmployees?->sum('plus_minus')}}
                                </td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">Total Deposit</td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    {{$com->importInfo?->period?->deposit?->depositEmployees?->count()}}
                                </td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">FTD</td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    {{$com->importInfo?->period?->deposit?->depositEmployees?->where('first_deposit','!=','N')->count()}}
                                </td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">Total Win/loss</td>
                                <td style="padding: 5px 10px;text-align:right;">{{$com->member_WL}}</td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">Active Player</td>
                                <td style="padding: 5px 10px;text-align:right;">{{$com->active_member}}</td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <th style="padding: 5px 10px;">Commission</th>
                                <th style="padding: 5px 10px;text-align:right;">{{$com->due_commission}}</th>
                            </tr>
                            </tbody>
                        </table>
                    @endforeach

                    <table style="border:1px solid #ddd;width:100%;margin-top:20px;">
                        <thead style="border-bottom:1px solid #ddd;background-color: #f1f1f1;">
                        <tr>
                            <th style="padding: 5px 10px;">Adjustments</th>
                            <td></td>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($data->get('adjustments') as $adjustment)
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;width: 85%;">
                                    {{$adjustment?->period?->name}}
                                </td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    @if($adjustment->adjustment_type == 1)
                                        -{{number_format($adjustment->adjustment_amount,2)}}
                                    @else
                                        {{number_format($adjustment?->adjustment_amount,2)}}
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>

                    <table style="border:1px solid #ddd;width:100%;margin-top:20px;">
                        <thead style="border-bottom:1px solid #ddd;background-color: #f1f1f1;">
                        <tr>
                            <th style="padding: 5px 10px;width: 85%;">Total Commission</th>
                            <th style="padding: 5px 10px;text-align:right;">
                                {{number_format($data->get('commissions')->sum('due_commission'),2)}}
                            </th>
                        </tr>
                        <tr style="border-bottom: 1px solid #ddd;">
                            <th style="padding: 5px 10px;width: 85%;">Total Adjustment</th>
                            <th style="padding: 5px 10px;text-align:right;">
                                {{number_format($data->get('adjustments')->where('adjustment_type', 2)->sum('adjustment_amount') - $data->get('adjustments')->where('adjustment_type', 1)->sum('adjustment_amount'),2)}}
                            </th>
                        </tr>
                        <tr>
                            <th style="padding: 5px 10px;width: 85%;">Total Payable</th>
                            <th style="padding: 5px 10px;text-align:right;">
                                {{number_format($data['commissions_sum_total_commission'],2)}}
                            </th>
                        </tr>
                        </thead>

                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@include('admin.layout.js.script')
</body>

</html>
