<div class="sidebar-wrapper" data-simplebar="true">
    <div class="sidebar-header">
        <div>
            <img src="<?php echo e(asset('assets/images/logo-icon.png')); ?>" class="logo-icon" alt="logo icon">
        </div>
        <div>
            <h4 class="logo-text">Comm. Report</h4>
        </div>
        <div class="toggle-icon ms-auto"><i class='bx bx-arrow-back'></i>
        </div>
    </div>
    <!--navigation-->
    <ul class="metismenu" id="menu">
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view dashboard')): ?>
            <li>
                <a href="<?php echo e(route('admin.dashboard')); ?>">
                    <div class="parent-icon">
                        <i class='bx bx-home-alt'></i>
                    </div>
                    <div class="menu-title">Dashboard</div>
                </a>
            </li>
        <?php endif; ?>

        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['view role', 'view user'])): ?>
            <li>
                <a class="has-arrow" href="javascript:;">
                    <div class="parent-icon">
                        <i class="bx bx-cog"></i>
                    </div>
                    <div class="menu-title">System</div>
                </a>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['view role', 'view user'])): ?>
                    <ul>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view role')): ?>
                            <li>
                                <a href="<?php echo e(route('system.role.list')); ?>">
                                    <div class="parent-icon">
                                        <i class="bx bx-lock"></i>
                                    </div>
                                    <div class="menu-title">Role</div>
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view user')): ?>
                            <li>
                                <a href="<?php echo e(route('system.user.list')); ?>">
                                    <div class="parent-icon">
                                        <i class="lni lni-users"></i>
                                    </div>
                                    <div class="menu-title">User</div>
                                </a>
                            </li>
                        <?php endif; ?>

                    </ul>
                <?php endif; ?>
            </li>
        <?php endif; ?>

        <li class="menu-label">Commission</li>
        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['view role', 'view user'])): ?>
            <li class="<?php echo e(request()->routeIs('commission*') ? 'mm-active' : ''); ?>">
                <a class="has-arrow" href="javascript:;">
                    <div class="parent-icon">
                        <i class="fadeIn animated bx bx-dialpad"></i>
                    </div>
                    <div class="menu-title">Commission Payout</div>
                </a>
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(['view role', 'view user'])): ?>
                    <ul>
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view user')): ?>
                            <li class="<?php echo e(request()->routeIs('commission.agent.create') || request()->routeIs('commission.agent.edit') || request()->routeIs('commission.agent.import') ? 'mm-active' : ''); ?>">
                                <a href="<?php echo e(route('commission.agent.list')); ?>">
                                    <div class="parent-icon">
                                        <i class="lni lni-users"></i>
                                    </div>
                                    <div class="menu-title">Agents List</div>
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view role')): ?>
                            <li class="<?php echo e(request()->routeIs('commission.period.view') || request()->routeIs('commission.period.create')  ? 'mm-active' : ''); ?>">
                                <a href="<?php echo e(route('commission.period.list')); ?>">
                                    <div class="parent-icon">
                                        <i class="fadeIn animated bx bx-layer"></i>
                                    </div>
                                    <div class="menu-title">Period</div>
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view user')): ?>
                            <li class="<?php echo e(request()->routeIs('deposit.import.view') || request()->routeIs('deposit.import.create') ? 'mm-active' : ''); ?>">
                                <a href="<?php echo e(route('deposit.import.list')); ?>">
                                    <div class="parent-icon">
                                        <i class="lni lni-invest-monitor"></i>
                                    </div>
                                    <div class="menu-title">Import Deposit</div>
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view user')): ?>
                            <li class="<?php echo e(request()->routeIs('commission.import.view') || request()->routeIs('commission.import.create') ?  'mm-active' : ''); ?>">
                                <a href="<?php echo e(route('commission.import.list')); ?>">
                                    <div class="parent-icon">
                                        <i class="fadeIn animated bx bx-file-blank"></i>
                                    </div>
                                    <div class="menu-title">Import Payout</div>
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view user')): ?>
                            <li class="<?php echo e(request()->routeIs('commission.available_user.unpaid_view') ? 'mm-active' : ''); ?>">
                                <a href="<?php echo e(route('commission.pending.list')); ?>">
                                    <div class="parent-icon">
                                        <i class="fadeIn animated bx bx-analyse"></i>
                                    </div>
                                    <div class="menu-title">Pending Comm.</div>
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view user')): ?>
                            <li class="<?php echo e(request()->routeIs('commission.payment.request.view') ? 'mm-active' : ''); ?>">
                                <a href="<?php echo e(route('commission.payment.request.list')); ?>">
                                    <div class="parent-icon">
                                        <i class="fadeIn animated bx bx-money"></i>
                                    </div>
                                    <div class="menu-title">Payment Request</div>
                                </a>
                            </li>
                        <?php endif; ?>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view user')): ?>
                            <li class="<?php echo e(request()->routeIs('commission.paid.view') ? 'mm-active' : ''); ?>">
                                <a href="<?php echo e(route('commission.paid.list')); ?>">
                                    <div class="parent-icon">
                                        <i class="fadeIn animated bx bx-wallet"></i>
                                    </div>
                                    <div class="menu-title">Paid Commission</div>
                                </a>
                            </li>
                        <?php endif; ?>

                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view user')): ?>
                            <li class="<?php echo e(request()->routeIs('commission.adjustment.create') || request()->routeIs('commission.adjustment.edit')  ? 'mm-active' : ''); ?>">
                                <a href="<?php echo e(route('commission.adjustment.list')); ?>">
                                    <div class="parent-icon">
                                        <i class="fadeIn animated bx bx-minus-front"></i>
                                    </div>
                                    <div class="menu-title">Adjustments</div>
                                </a>
                            </li>
                        <?php endif; ?>

                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('view user')): ?>
                            <li>
                                <a href="<?php echo e(route('commission.report.list')); ?>">
                                    <div class="parent-icon">
                                        <i class="lni lni-bar-chart"></i>
                                    </div>
                                    <div class="menu-title">Reports</div>
                                </a>
                            </li>
                        <?php endif; ?>
                    </ul>
                <?php endif; ?>
            </li>
        <?php endif; ?>
    </ul>
    <!--end navigation-->
</div>
<?php /**PATH C:\xampp\htdocs\commission-generate\resources\views/admin/layout/sidebar/sidebar.blade.php ENDPATH**/ ?>