<?php $__env->startSection('page-title', 'Overview'); ?>
<?php $__env->startSection('main-content'); ?>
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Overview</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Report</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <!--general information -->
        <div class="card">
            <div class="card-body">
                <div class="card-title">
                    <h5 class="mb-0">General Information</h5>
                </div>
                <hr>
                <div class="table-responsive">
                    <table class="table">
                        <tbody>
                        <tr>
                            <th style="width:30%;" class="text-nowrap" scope="row">Affiliate</th>
                            <td colspan="6"><?php echo e($agentData?->affiliate?->name); ?></td>
                        </tr>
                        <tr>
                            <th style="width:30%;" class="text-nowrap" scope="row">Agent ID</th>
                            <td colspan="6"><?php echo e($agentData?->login_id); ?></td>
                        </tr>
                        <tr>
                            <th style="width:30%;" class="text-nowrap" scope="row">Name</th>
                            <td colspan="6"><?php echo e($agentData?->emp_name); ?></td>
                        </tr>
                        <tr>
                            <th style="width:30%;" class="text-nowrap" scope="row">Eamil</th>
                            <td colspan="6"><?php echo e($agentData?->email); ?></td>
                        </tr>
                        <tr>
                            <th class="text-nowrap" scope="row">Phone Number</th>
                            <td colspan="6"><?php echo e($agentData?->phone_number); ?></td>
                        </tr>
                        <tr>
                            <th class="text-nowrap" scope="row">Social Channel</th>
                            <td colspan="6"><?php echo e($agentData?->social_channel_name); ?></td>
                        </tr>
                        <tr>
                            <th class="text-nowrap" scope="row">Channel Details</th>
                            <td colspan="6"><?php echo e($agentData?->social_channel_details); ?></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <!-- end general information -->

        <!-- wallet-info -->
        <div class="card">
            <div class="card-body">
                <div class="card-title">
                    <h5 class="mb-0">Wallet Information</h5>
                </div>
                <hr>
                <!--bank-card -->
                <?php if($agentData?->payment_method == 1): ?>
                    <div class="card">
                        <div class="card-body">
                            <div class="card-title">
                                <h5 class="mb-3">Bank</h5>
                            </div>
                            <div class="table-responsive">
                                <table class="table">
                                    <tbody>
                                    <tr>
                                        <th style="width:30%;" class="text-nowrap" scope="row">Bank Name</th>
                                        <td colspan="6"><?php echo e($agentData?->bank_name); ?></td>
                                    </tr>
                                    <tr>
                                        <th style="width:30%;" class="text-nowrap" scope="row">Account Holder Name</th>
                                        <td colspan="6"><?php echo e($agentData?->bank_holder_name); ?></td>
                                    </tr>
                                    <tr>
                                        <th style="width:30%;" class="text-nowrap" scope="row">Account Number</th>
                                        <td colspan="6"><?php echo e($agentData?->bank_account_no); ?></td>
                                    </tr>
                                    <tr>
                                        <th style="width:30%;" class="text-nowrap" scope="row">Banch Name</th>
                                        <td colspan="6"><?php echo e($agentData?->branch_name); ?></td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <!-- end-bank-card -->
                <?php elseif($agentData?->payment_method == 2): ?>
                    <!--e-wallet -->
                    <div class="card">
                        <div class="card-body">
                            <div class="card-title">
                                <h5 class="mb-3">E-Wallet</h5>
                            </div>
                            <div class="table-responsive">
                                <table class="table">
                                    <tbody>
                                    <tr>
                                        <th style="width:30%;" class="text-nowrap" scope="row">Wallet Type</th>
                                        <td colspan="6"><?php echo e($agentData?->wallet_type); ?></td>
                                    </tr>
                                    <tr>
                                        <th style="width:30%;" class="text-nowrap" scope="row">Wallet Holder Name</th>
                                        <td colspan="6"><?php echo e($agentData?->wallet_holder_name); ?></td>
                                    </tr>
                                    <tr>
                                        <th style="width:30%;" class="text-nowrap" scope="row">Wallet Number</th>
                                        <td colspan="6"><?php echo e($agentData?->wallet_no); ?></td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <!-- end e-wallet -->
                <?php elseif($agentData?->payment_method == 3): ?>
                    <!--USDT -->
                    <div class="card">
                        <div class="card-body">
                            <div class="card-title">
                                <h5 class="mb-3">USDT</h5>
                            </div>
                            <div class="table-responsive">
                                <table class="table">
                                    <tbody>
                                    <tr>
                                        <th style="width:30%;" class="text-nowrap" scope="row">Network Type</th>
                                        <td colspan="6"><?php echo e($agentData?->usdt_network_name); ?></td>
                                    </tr>
                                    <tr>
                                        <th style="width:30%;" class="text-nowrap" scope="row">USDT Network Address</th>
                                        <td colspan="6"><?php echo e($agentData?->usdt_address); ?></td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    <!-- USDT -->
                <?php endif; ?>
            </div>
        </div>
        <!--end wallet-info -->


        <!--Payment information -->
        <div class="card">
            <div class="card-body">
                <div class="card-title">
                    <h5 class="mb-0">Commissions</h5>
                </div>
                <hr>
                <div class="table-responsive">
                    <table class="table">
                        <tbody>
                        <tr>
                            <th style="width:30%;" class="text-nowrap" scope="row">Due Commission</th>
                            <td colspan="6"><?php echo e($agentData?->commission_balance); ?></td>
                        </tr>
                        <tr>
                            <th style="width:30%;" class="text-nowrap" scope="row">Payable Commission</th>
                            <td colspan="6">
                                <?php if(\App\Constants\StaticConstants::PAYOUT_MIN_AMOUNT <= $agentData?->commission_balance): ?>
                                    <?php echo e($agentData?->commission_balance); ?>

                                <?php else: ?>
                                    0
                                <?php endif; ?>
                            </td>
                        </tr>
                        <tr>
                            <th style="width:30%;" class="text-nowrap" scope="row">Total Paid Commission</th>
                            <td colspan="6"><?php echo e($agentData?->avail_commissions_sum_paid_commission); ?></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <!--End Payment information -->
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.report-layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\commission-generate\resources\views/admin/report-tab/overview-report.blade.php ENDPATH**/ ?>