<?php $__env->startSection('page-title', 'User list'); ?>
<?php $__env->startSection('main-content'); ?>
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Agent</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Commission</li>
                        <li class="breadcrumb-item active" aria-current="page">Agent</li>
                        <li class="breadcrumb-item active" aria-current="page">List</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        <div class="position-relative">
                            <input type="text" name="search" value="<?php echo e(request()->get('search')); ?>"
                                   class="form-control ps-5 radius-30" placeholder="Search here"> <span
                                class="position-absolute top-50 product-show translate-middle-y"><i
                                    class="bx bx-search"></i></span>
                        </div>
                        <div>
                            <button class="btn btn-primary radius-30" type="submit">Search</button>
                        </div>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create user')): ?>
                            <div class="ms-auto">
                                <a href="<?php echo e(route('commission.agent.import')); ?>"
                                   class="btn btn-primary radius-30 mt-2 mt-lg-0"><i
                                        class="bx bxs-plus-square"></i>Import Agents</a>
                                <a href="<?php echo e(route('commission.agent.create')); ?>"
                                   class="btn btn-primary radius-30 mt-2 mt-lg-0"><i
                                        class="bx bxs-plus-square"></i>Add New
                                    Agent</a>
                            </div>
                        <?php endif; ?>
                    </div>
                </form>
                <div class="card card-body">
                    <table class="table table-striped table-bordered table-responsive dataTable1 mb-0">
                        <thead class="table-light">
                        <tr>
                            <th>SL#</th>
                            <th>Agent ID</th>
                            <th>Name</th>
                            <th>Email</th>
                            <th>Phone Number</th>
                            <th>Social Channel</th>
                            <th>Payment Method Details</th>
                            <th>Available Balance</th>
                            <th>Action By</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                            $currentPage = $users->currentPage(); // Current page number
                            $perPage = $users->perPage(); // Items per page
                        ?>
                        <?php $__empty_1 = true; $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td>
                                    <h6 class="mb-0 font-14">
                                    <?php echo e(($currentPage - 1) * $perPage + $index + 1); ?>

                                    </h6>
                                </td>
                                <td>
                                    <a href="javascript:void(0)"
                                       onclick="openWithQueryParams('<?php echo e($user?->login_id); ?>')"><?php echo e($user?->login_id); ?></a>
                                </td>
                                <td>
                                    <p class="mb-0" style="font-size: 14px">
                                        <i class="fa-solid fa-user"></i> <?php echo e($user->emp_name ?? 'Unknown'); ?>

                                    </p>
                                </td>
                                <td>
                                    <?php if($user->email): ?>
                                        <p class="mb-0" style="font-size: 14px">
                                            <i class="fa-solid fa-envelope"></i> <?php echo e($user->email); ?>

                                        </p>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($user->phone_number): ?>
                                        <p class="mb-0" style="font-size: 14px">
                                            <i class="fa-solid fa-phone"></i> <?php echo e($user->phone_number); ?>

                                        </p>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php echo e($user->social_channel_name ?? ''); ?> : <br>
                                    <?php echo e($user->social_channel_details ?? ''); ?>

                                </td>
                                <td style="width: 20%">
                                    <?php if($user->payment_method == 1): ?>
                                        <?php if($user->bank_name): ?>
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-bank"></i> Bank Name : <?php echo e($user->bank_name ?? ''); ?>

                                            </p>
                                        <?php endif; ?>
                                        <?php if($user->bank_holder_name): ?>
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-bank"></i> Account Holder Name : <?php echo e($user->bank_holder_name ?? ''); ?>

                                            </p>
                                        <?php endif; ?>
                                        <?php if($user->bank_account_no): ?>
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-bank"></i> Account Number : <?php echo e($user->bank_account_no ?? ''); ?>

                                            </p>
                                        <?php endif; ?>
                                        <?php if($user->branch_name): ?>
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-bank"></i> Branch Name : <?php echo e($user->branch_name ?? ''); ?>

                                            </p>
                                        <?php endif; ?>
                                    <?php elseif($user->payment_method == 2): ?>
                                        <?php if($user->wallet_type): ?>
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-wallet"></i> Wallet Type : <?php echo e($user->wallet_type ?? ''); ?>

                                            </p>
                                        <?php endif; ?>
                                        <?php if($user->wallet_holder_name): ?>
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-user"></i> Wallet Holder Name : <?php echo e($user->wallet_holder_name ?? ''); ?>

                                            </p>
                                        <?php endif; ?>
                                        <?php if($user->wallet_no): ?>
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-wallet"></i> Wallet Number : <?php echo e($user->wallet_no ?? ''); ?>

                                            </p>
                                        <?php endif; ?>
                                    <?php else: ?>
                                        <?php if($user->usdt_network_name): ?>
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-user"></i> USDT Network : <?php echo e($user->usdt_network_name ?? ''); ?>

                                            </p>
                                        <?php endif; ?>
                                        <?php if($user->usdt_address): ?>
                                            <p class="mb-0" style="font-size: 14px">
                                                <i class="fa-solid fa-wallet"></i> USDT Address : <?php echo e($user->usdt_address ?? ''); ?>

                                            </p>
                                        <?php endif; ?>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php echo e($user->commission_balance ?? ''); ?>

                                </td>

                                <td>
                                    <?php if($user?->updatedAt): ?>
                                        <p class="mb-0"><?php echo e($user?->updatedBy?->name); ?></p>
                                        <small><?php echo e(date('Y-m-d h:i:s a', strtotime($user->updated_at))); ?></small>
                                    <?php else: ?>
                                        <p class="mb-0"><?php echo e($user?->createdBy?->name); ?></p>
                                        <small>
                                            <?php echo e(date('Y-m-d h:i:s a', strtotime($user->created_at))); ?>

                                        </small>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <div class="d-flex order-actions">
                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('update user')): ?>
                                            <a href="<?php echo e(route('commission.agent.edit', $user->id)); ?>" class=""><i
                                                    class='bx bxs-edit'></i></a>
                                        <?php endif; ?>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="15">
                                    <h4 class="text-secondary text-center">No data found</h4>
                                </td>
                            </tr>
                        <?php endif; ?>

                        </tbody>
                    </table>
                </div>
                <div class="row">
                    <div class="col-12 text-center mt-2">
                        <?php echo e($users->appends($_GET)->links()); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('extra-script'); ?>
    <script>
        function openWithQueryParams(agentId) {
            const currentParams = new URLSearchParams(window.location.search);

            // Set or replace the agent_id parameter
            currentParams.set('agent_id', agentId);

            // Define the base URL from Blade
            let baseUrl = <?php echo json_encode(route('overview.report.tab'), 15, 512) ?>;

            // Append existing query parameters if they exist
            if (currentParams.toString()) {
                baseUrl += '?' + currentParams.toString();
            }

            // Open the new window with the modified URL
            window.open(baseUrl, 'commissionReportWindow', 'width=1300,height=600');
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\commission-generate\resources\views/admin/agent/list.blade.php ENDPATH**/ ?>