<?php $__env->startSection('page-title', 'Commission Invoice'); ?>
<?php $__env->startSection('main-content'); ?>
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Commission Invoice</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Commission</li>
                        <li class="breadcrumb-item active" aria-current="page">User</li>
                        <li class="breadcrumb-item active" aria-current="page">Invoice</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create role')): ?>
                            <div class="ms-auto">
                                <a href="<?php echo e(route('commission.paid.list')); ?>"
                                   class="btn btn-primary radius-30 mt-2 mt-lg-0">
                                    Commission List</a>
                            </div>
                        <?php endif; ?>
                    </div>
                </form>
                <div style="width: 500px;margin:auto;border-radius: 5px;border: 2px dashed #ddd;padding:10px;">
                <img src="<?php echo e(asset('assets/images/logo-icon.png')); ?>" class="user-img d-block m-auto" alt="user avatar">
                    <div class="m-autod">
                        <p class="user-name mb-0 mt-2">Employee Name: <?php echo e($employee->emp_name); ?></p>
                        <?php if($paid_status == 1): ?>
                            <p class="user-name mb-0">Paid Status: Paid</p>
                            <p class="user-name mb-0">Paid
                                At: <?php echo e(date('Y-m-d h:i a',strtotime($paidCommission->paid_at))); ?></p>
                            <p class="user-name mb-0">Paid By: <?php echo e($paidCommission->paidBy?->name); ?></p>
                        <?php endif; ?>
                        <?php if($paidCommission->payment_method_info): ?>
                            <p class="user-name mb-0">Paid To: <span
                                    style="font-size: 10px"><?php echo e($paidCommission->payment_method_info); ?></span></p>
                        <?php endif; ?>
                    </div>

                    <?php $__currentLoopData = $commissions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $com): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <table style="border:1px solid #ddd;width:100%;margin-top:20px;">
                        <thead style="border-bottom:1px solid #ddd;background-color: #f1f1f1;">
                            <tr>
                                <th style="padding: 5px 10px;"><?php echo e($com?->importInfo?->period?->name); ?></th>
                                <td></td>
                            </tr>
                        </thead>
                        <tbody>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">Total Deposit Amount</td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    <?php echo e($com->importInfo?->period?->deposit?->depositEmployees?->sum('plus_minus')); ?>

                                </td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">Total Deposit</td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    <?php echo e($com->importInfo?->period?->deposit?->depositEmployees?->count()); ?>

                                </td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">FTD</td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    <?php echo e($com->importInfo?->period?->deposit?->depositEmployees?->where('first_deposit','!=','N')->count()); ?>

                                </td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">Total Win/loss</td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    <?php echo e($com->member_WL); ?>

                                </td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">Active Player</td>
                                <td style="padding: 5px 10px;text-align:right;"><?php echo e($com->active_member); ?></td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <th style="padding: 5px 10px;">Commission</th>
                                <th style="padding: 5px 10px;text-align:right;"><?php echo e($com->paid_commission); ?></th>
                            </tr>
                        </tbody>
                    </table>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <table style="border:1px solid #ddd;width:100%;margin-top:20px;">
                        <thead style="border-bottom:1px solid #ddd;background-color: #f1f1f1;">
                            <tr>
                                <th style="padding: 5px 10px;">Adjustments</th>
                                <td></td>
                            </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $adjustments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $adjustment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;width: 85%;">
                                    <?php echo e($adjustment?->adjustmentInfo?->period?->name); ?>

                                </td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    <?php if($adjustment->calculation_type == 1): ?>
                                        -<?php echo e(number_format($adjustment->amount,2)); ?>

                                    <?php else: ?>
                                        <?php echo e(number_format($adjustment?->amount,2)); ?>

                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>


                    <table style="border:1px solid #ddd;width:100%;margin-top:20px;">
                        <thead style="border-bottom:1px solid #ddd;background-color: #f1f1f1;">
                            <tr>
                                <th style="padding: 5px 10px;width: 85%;">Total Commission</th>
                                <th style="padding: 5px 10px;text-align:right;"><?php echo e(number_format($commissions->sum('paid_commission'),2)); ?></th>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <th style="padding: 5px 10px;width: 85%;">Total Adjustment</th>
                                <th style="padding: 5px 10px;text-align:right;">
                                    <?php echo e(number_format($adjustments->where('calculation_type', 2)->sum('amount') - $adjustments->where('calculation_type', 1)->sum('amount'),2)); ?>

                                </th>
                            </tr>
                            <tr>
                                <th style="padding: 5px 10px;width: 85%;">Total Payable</th>
                                <th style="padding: 5px 10px;text-align:right;"><?php echo e(number_format($totalPaid,2)); ?></th>
                            </tr>
                        </thead>

                    </table>

                    <a href="<?php echo e(route('commission.paid.invoice_download', $paidCommission->id)); ?>"
                   class="btn btn-primary ms-auto w-100 mt-5">Download Invoice</a>

                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\commission-generate\resources\views/admin/paid-commission-user/invoice.blade.php ENDPATH**/ ?>