<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php echo $__env->make('admin.layout.css.style', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <title>Employee Invoice</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            font-size: 14px;
            color: #333;
            margin: 0;
            padding: 0;
        }

        .wrapper {
            width: 100%;
            text-align: center;
            padding: 20px;
        }

        .container {
            width: 500px;
            margin: auto;
            border-radius: 5px;
            border: 3px solid green;
            padding: 10px;
            text-align: center;
        }

        .user-img {
            display: block;
            margin: auto;
            width: 60px;
            height: 60px;
            border-radius: 50%;
        }

        .user-info {
            margin-top: 10px;
            text-align: left;
        }

        .user-info p {
            margin: 5px 0;
            font-size: 14px;
        }

        .table-container {
            margin-top: 10px;
            width: 100%;
            text-align: left;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 10px;
        }

        table, th, td {
            border: 1px solid black;
        }

        th, td {
            padding: 8px;
            text-align: left;
        }

        th {
            background-color: #f2f2f2;
            font-weight: bold;
        }
    </style>
</head>

<body class="bg-theme bg-theme2">
<div class="wrapper">
    <div class="page-content">
        <div style="min-height: 86vh">
            <div class="page-wrapper">
                <div>
                    <p style="text-align: start !important;">
                        Dear <?php echo e($data['emp_name']); ?> <br/>
                        We wanted to inform you that there is a paid commission invoice for your recent activities. Please find the invoice details below for your reference.
                        Kindly review the invoice, and feel free to reach out if you have any questions or concerns.<br/>
                        Thank you for your continued collaboration!
                    </p>
                </div>
                <div style="width: 500px;margin:auto;border-radius: 5px;border: 2px dashed #ddd;padding:10px;">
                    <img src="data:image/jpeg;base64,<?php echo e(base64_encode(file_get_contents(public_path('assets/images/logo-icon.png')))); ?>" class="user-img"
                         alt="User Avatar">

                    <!-- User Info -->
                    <div class="user-info">
                        <p><strong>Employee Name:</strong> <?php echo e($data['emp_name']); ?></p>
                        <?php if($data['paid_status'] == 1): ?>
                            <p><strong>Paid Status:</strong> Paid</p>
                            <p><strong>Paid At:</strong> <?php echo e(date('Y-m-d h:i a', strtotime($data['paid_at']))); ?></p>
                            <p><strong>Paid By:</strong> <?php echo e($data['paid_by']); ?></p>
                        <?php else: ?>
                            <p><strong>Paid Status:</strong> Unpaid</p>
                        <?php endif; ?>
                        <?php if(isset($data['payment_method_info'])): ?>
                            <p><strong>Paid To:</strong> <span
                                    style="font-size: 12px"><?php echo e($data['payment_method_info']); ?></span></p>
                        <?php endif; ?>
                    </div>
                    <!-- Commission Table -->

                    <?php $__currentLoopData = $data->get('commissions'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $com): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <table style="border:1px solid #ddd;width:100%;margin-top:20px;">
                            <thead style="border-bottom:1px solid #ddd;background-color: #f1f1f1;">
                            <tr>
                                <th style="padding: 5px 10px;"><?php echo e($com?->importInfo?->period?->name); ?></th>
                                <td></td>
                            </tr>
                            </thead>
                            <tbody>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">Total Deposit Amount</td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    <?php echo e($com->importInfo?->period?->deposit?->depositEmployees?->sum('plus_minus')); ?>

                                </td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">Total Deposit</td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    <?php echo e($com->importInfo?->period?->deposit?->depositEmployees?->count()); ?>

                                </td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">FTD</td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    <?php echo e($com->importInfo?->period?->deposit?->depositEmployees?->where('first_deposit','!=','N')->count()); ?>

                                </td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">Total Win/loss</td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    <?php echo e($com->member_WL); ?>

                                </td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;">Active Player</td>
                                <td style="padding: 5px 10px;text-align:right;"><?php echo e($com->active_member); ?></td>
                            </tr>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <th style="padding: 5px 10px;">Commission</th>
                                <th style="padding: 5px 10px;text-align:right;"><?php echo e($com->paid_commission); ?></th>
                            </tr>
                            </tbody>
                        </table>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <table style="border:1px solid #ddd;width:100%;margin-top:20px;">
                        <thead style="border-bottom:1px solid #ddd;background-color: #f1f1f1;">
                        <tr>
                            <th style="padding: 5px 10px;">Adjustments</th>
                            <td></td>
                        </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $data->get('adjustments'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $adjustment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr style="border-bottom: 1px solid #ddd;">
                                <td style="padding: 5px 10px;width: 85%;">
                                    <?php echo e($adjustment?->adjustmentInfo?->period?->name); ?>

                                </td>
                                <td style="padding: 5px 10px;text-align:right;">
                                    <?php if($adjustment->calculation_type == 1): ?>
                                        -<?php echo e(number_format($adjustment->amount,2)); ?>

                                    <?php else: ?>
                                        <?php echo e(number_format($adjustment?->amount,2)); ?>

                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>

                    <table style="border:1px solid #ddd;width:100%;margin-top:20px;">
                        <thead style="border-bottom:1px solid #ddd;background-color: #f1f1f1;">
                        <tr>
                            <th style="padding: 5px 10px;width: 85%;">Total Commission</th>
                            <th style="padding: 5px 10px;text-align:right;"><?php echo e(number_format($data->get('commissions')->sum('paid_commission'), 2)); ?></th>
                        </tr>
                        <tr style="border-bottom: 1px solid #ddd;">
                            <th style="padding: 5px 10px;width: 85%;">Total Adjustment</th>
                            <th style="padding: 5px 10px;text-align:right;">
                                <?php echo e(number_format($data->get('adjustments')->where('calculation_type', 2)->sum('amount') - $data->get('adjustments')->where('calculation_type', 1)->sum('amount'),2)); ?>

                            </th>
                        </tr>
                        <tr>
                            <th style="padding: 5px 10px;width: 85%;">Total Payable</th>
                            <th style="padding: 5px 10px;text-align:right;"><?php echo e(number_format($data['commissions_sum_total_commission'], 2)); ?></th>
                        </tr>
                        </thead>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?php echo $__env->make('admin.layout.js.script', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\commission-generate\resources\views/email/paid-invoice-template.blade.php ENDPATH**/ ?>