<?php $__env->startSection('page-title', 'Import Details'); ?>
<?php $__env->startSection('main-content'); ?>
    <div class="page-content">
        <!--breadcrumb-->
        <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
            <div class="breadcrumb-title pe-3">Import Commission</div>
            <div class="ps-3">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-0 p-0">
                        <li class="breadcrumb-item"><a href="javascript:;"><i class="bx bx-home-alt"></i></a>
                        </li>
                        <li class="breadcrumb-item active" aria-current="page">Commission</li>
                        <li class="breadcrumb-item active" aria-current="page">Import</li>
                        <li class="breadcrumb-item active" aria-current="page">Details</li>
                    </ol>
                </nav>
            </div>
        </div>
        <!--end breadcrumb-->

        <div class="card">
            <div class="card-body">
                <form action="" method="get">
                    <div class="d-lg-flex align-items-center mb-4 gap-3">
                        <div class="position-relative">
                            <input type="text" name="search" value="<?php echo e(request()->get('search')); ?>"
                                   class="form-control ps-5 radius-30" placeholder="Search by name or ID"> <span
                                class="position-absolute top-50 product-show translate-middle-y"><i
                                    class="bx bx-search"></i></span>
                        </div>
                        <div>
                            <button class="btn btn-primary radius-30" type="submit">Search</button>
                        </div>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('create role')): ?>
                            <div class="ms-auto">
                                <a href="<?php echo e(route('commission.import.list')); ?>"
                                   class="btn btn-primary radius-30 mt-2 mt-lg-0">
                                    <i class="fadeIn animated bx bx-list-ol"></i></i>Import List</a>
                            </div>
                        <?php endif; ?>
                    </div>
                </form>
                <div class="card card-body">
                    <table class="table table-striped table-bordered table-responsive mb-0">
                        <thead class="table-light">
                        <tr>
                            <th>SL#</th>
                            <th>Period</th>
                            <th>Affiliate</th>
                            <th>Emp. Name</th>
                            <th>Total Commission</th>
                            <th>Due Commission</th>
                            <th>Paid Commission</th>
                            <th>Paid Status</th>
                            <th>Action By</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                            $totalCommission = 0;
                            $totalDueCommission = 0;
                            $totalPaidCommission = 0;

                            $currentPage = $listData->currentPage(); // Current page number
                            $perPage = $listData->perPage(); // Items per page
                        ?>
                        <?php $__empty_1 = true; $__currentLoopData = $listData; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <?php 
                                $totalCommission += $data->total_commission; 
                                $totalDueCommission += $data->due_commission; 
                                $totalPaidCommission += $data->paid_commission; 
                            ?>
                            
                            <tr>
                                <td>
                                    <h6 class="mb-0 font-14">
                                    <?php echo e(($currentPage - 1) * $perPage + $index + 1); ?>

                                    </h6>
                                </td>
                                <td><?php echo e($data?->importInfo?->period?->name ?? 'Unknown'); ?></td>
                                <td><?php echo e($data?->employeeInfo?->affiliate?->name ?? 'Unknown'); ?></td>
                                <td>
                                    <p class="mb-0">
                                        Name: <?php echo e($data?->emp_name ?? ''); ?>

                                    </p>
                                    <p class="mb-0">
                                        Login ID: <?php echo e($data?->ag_login_id ?? ''); ?>

                                    </p>
                                </td>
                                <td><?php echo e($data?->total_commission ?? ''); ?></td>

                                <?php if($data?->due_commission >= \App\Constants\StaticConstants::PAYOUT_MIN_AMOUNT): ?>
                                    <td class="text-success"><?php echo e($data?->due_commission ?? ''); ?> </td>
                                <?php else: ?>
                                    <td class="text-warning"><?php echo e($data?->due_commission ?? ''); ?> </td>
                                <?php endif; ?>
                                <td><?php echo e($data?->paid_commission ?? ''); ?></td>
                                <td>
                                    <?php if($data->paid_status == 1): ?>
                                        Paid
                                    <?php else: ?>
                                        Unpaid
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <?php if($data?->updatedBy): ?>
                                        <p class="mb-0"><?php echo e($data?->updatedBy?->name); ?></p>
                                        <small><?php echo e(date('Y-m-d h:i:s a', strtotime($data->updated_at))); ?></small>
                                    <?php else: ?>
                                        <p class="mb-0"><?php echo e($data?->createdBy?->name); ?></p>
                                        <small>
                                            <?php echo e(date('Y-m-d h:i:s a', strtotime($data->created_at))); ?>

                                        </small>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="15">
                                    <h4 class="text-secondary text-center">No data found</h4>
                                </td>
                            </tr>
                        <?php endif; ?>
                        </tbody>
                        <tr style="margin-top:20px;">
                            <th></th>
                            <th></th>
                            <th></th>
                            <th></th>
                            <th>Total : <?php echo e($totalCommission); ?></th>
                            <th>Total : <?php echo e($totalDueCommission); ?></th>
                            <th>Total : <?php echo e($totalPaidCommission); ?></th>
                            <th></th>
                            <th></th>
                        </tr>
                    </table>
                </div>
                <div class="row">
                    <div class="col-12 mt-2">
                        <?php echo e($listData->appends($_GET)->links()); ?>

                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\commission-generate\resources\views/admin/import-commission/commission-employee-list.blade.php ENDPATH**/ ?>